﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="CoordWizardWork.ascx.cs" Inherits="MQAWeb.Forms.Admin.FTE.CoordWizardWork" %>
<%@ Register Assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a"
    Namespace="DevExpress.Web.ASPxCallbackPanel" TagPrefix="dx" %>
<%@ Register src="../../General/Widgets/Memo.ascx" tagname="Memo" tagprefix="uc1" %>
<%@ Register assembly="DevExpress.Web.ASPxEditors.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxEditors" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxPanel" tagprefix="dx" %>

<table width="100%" border="0">
    <tr style="height: 80px">
        <td colspan="2">
                <b>MQ Object Defintion Script</b>
        <br />
    In order to use MQAttach effectively on the Queue Manager specified, the following Definition Script needs to be run against the Queue Manager
    Please use cut and paste it to appropriate server and execute using "runmqsc" or an equivalent:
    <br/>
    <br/>
    If you are receiving a SECURITY ERROR when Testing your connection - you are most likely not use Web Server Impersonation but attempting to use 
    MQ Server Bindings - 
    Please alter the Web.config Impersonation Section to be a Valid OS User on this machine with MQM Priviledges and Restart your Web Server
    refer <a href='http://msdn.microsoft.com/en-us/library/aa292118(v=vs.71).aspx'>Here</a> for more details
    </td>
    </tr>
    <tr>
        <td style="width: 40%">Channel Build Type:</td>
        <td>
            <dx:aspxcombobox runat="server" ValueType="System.Int32" Width="100%" 
                ID="cmbChannelSelect" ClientInstanceName="cmbChannelSelect" 
                EnableClientSideAPI="True" SelectedIndex="1">
                <clientsideevents valuechanged="function(s, e) {
	e.processOnServer = false;
	cbPanelMemo.PerformCallback(cmbChannelSelect.GetValue());
}" />
<ClientSideEvents ValueChanged="function(s, e) {
	e.processOnServer = false;
	cbPanelMemo.PerformCallback(cmbChannelSelect.GetValue());
}"></ClientSideEvents>
                <Items>
                    <dx:ListEditItem Text="Not Applicable" Value="-1" />
                    <dx:ListEditItem Selected="True" Text="7.0.1 Compatability" Value="0" />
                    <dx:ListEditItem Text="7.1 Authority User Map" Value="1" />
                    <dx:ListEditItem Text="7.1 Authority Address Map" Value="2" />
                </Items>
            </dx:aspxcombobox>
        </td>
    </tr>
    <tr><td colspan="2"><dx:aspxbutton runat="server" text="Test Connection..." 
            ID="btnTestConn" ToolTip="click here to Test the Connection" Width="200px">
        <clientsideevents click="function(s, e) {
	e.processOnServer = false;
    cbPanel.PerformCallback('Test');
}" />
        </dx:aspxbutton></td></tr>
    <tr style="height: 240px">
        <td colspan="2">
                <dx:aspxcallbackpanel runat="server" width="100%" ID="cbPanelMemo" 
        Height="100%" oncallback="cbPanelMemo_Callback" ClientInstanceName="cbPanelMemo"><PanelCollection>
<dx:PanelContent runat="server" SupportsDisabledAttribute="True">
    <dx:ASPxMemo ID="memMQDef" runat="server" Height="220px" ReadOnly="False" 
        Width="100%">
    </dx:ASPxMemo>
</dx:PanelContent>
</PanelCollection>
</dx:aspxcallbackpanel>
        </td>
    </tr>
</table>