﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="JobExpect.ascx.cs" Inherits="MQAWeb.Forms.Admin.FTE.JobExpect" EnableViewState="true"%>
<%@ Register Assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a"
    Namespace="DevExpress.Web.ASPxCallbackPanel" TagPrefix="dx" %>
    <%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxRoundPanel" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxEditors.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxEditors" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxPanel" tagprefix="dx" %>
    <script language="javascript">
        function CheckJEMandatory() 
        {
            // routine to check if the mandatory fields have been completed 
            if (txtJEJobName.GetValue() == null || txtJEJobName.GetValue() == '') 
            {
                alert('Job Name is Mandatory');
                txtJEJobName.Focus();
                return false;
            }
            if (txtJEDesc.GetValue() == null || txtJEDesc.GetValue() == '') 
            {
                alert('Description is Mandatory');
                txtJEDesc.Focus();
                return false;
            }
            var type = cmbJETypeAgentSelect.GetSelectedIndex();
            if (type == 2)
            {
                if (txtJEAgentWildcard.GetValue() == null || txtJEAgentWildcard.GetValue() == '') 
                {
                    alert('Agent Wildcard needs to be Specified');
                    txtJEAgentWildcard.Focus();
                    return false;
                }
            }
            if (spnJEDays.GetValue() + spnJEHours.GetValue() + spnJEMins.GetValue() <= 0) 
            {
                alert('Please specify a Recurrence Interval');
                spnJEDays.Focus();
                return false;
            }
            return true;

        }
        function OnUpdateJEAgntType(e) 
        {
            e.processOnServer = false;
            var type = cmbJETypeAgentSelect.GetSelectedIndex();
            if (type == 1) 
            {
                txtJEAgentWildcard.SetVisible(true);
                cmbJETypeAgentDist.SetVisible(false);
                txtJEAgentWildcard.SetText('Any FTE Agent Match');
                txtJEAgentWildcard.SetEnabled(false);
            }
            if (type == 0) 
            {
                txtJEAgentWildcard.SetVisible(false);
                cmbJETypeAgentDist.SetVisible(true);
                cmbJETypeAgentDist.Focus();
            }
            if (type == 2) 
            {
                txtJEAgentWildcard.SetVisible(true);
                cmbJETypeAgentDist.SetVisible(false);
                txtJEAgentWildcard.SetText('');
                txtJEAgentWildcard.SetEnabled(true);
                txtJEAgentWildcard.Focus();
            }
        }
        function OnNewRecord() 
        {
            // routine to add a new 
            cmbJECode.SetValue(null);
            cbpData.PerformCallback('NewRecord');
        }
        function OnSaveRecord() 
        {
            if (CheckJEMandatory())
                cbPanel.PerformCallback('SaveRecord|' + cmbJECode.GetValue());
        }
        function OnSaveAsRecord() 
        {
            // routine to save the information as new
            if (CheckJEMandatory()) 
            {
                var url = '<%=ResolveUrl("~/Forms/frmDialog.aspx")%>?UserControl=~/Forms/Admin/User/UserTemplateSave.ascx&noType=1&noDesc=1';
                var title = 'FTE Job Expectation Rule Save Parameters';
                url += '&Title=' + title;
                url += '&SubTitle=Please provide the Rule Information';
                showPopupWindow(popupWin, null, url, title, 300, 200, 100, 50);
            }
        }
        function OnDeleteRecord() 
        {
            // routine to allow the user to delete the list
            var agree = confirm('Are you sure you wish to Delete this Saved Job Expectation Rule ?');
            if (agree) 
                cmbJECode.PerformCallback('DeleteRecord|' + cmbJECode.GetValue()); 

        }
        function OnUpdateRecordDelete() 
        {
            // routine to update the screen when a record is deleted
            alert('Job Expectation Rule Deleted Successfully');
            cmbJECode.SetValue(null);
            OnButtonUpdate(-1);
            cbpData.PerformCallback('Clear');
        }

    </script>
    <table width="100%" cellpadding="2" cellspacing="0" border=0>
     <tr><td style="width:30%">Rule:</td>
     <td>
                <dx:ASPxComboBox runat="server" ValueType="System.String" Width="100%" 
             ID="cmbJECode" ClientInstanceName="cmbJECode" EnableClientSideAPI="True" 
                    oncallback="cmbJECode_Callback" TextField="Description" ValueField="Code" 
                    TextFormatString="{0}">
                    <ClientSideEvents EndCallback="function(s, e) {
		e.processOnServer = false;
	if (cmbJECode.cpAction != null && cmbJECode.cpAction != '')
		handleAjaxResponse(cmbJECode.cpAction);

}" ValueChanged="function(s, e) 
{
	e.processOnServer = false;
	cbpData.PerformCallback(cmbJECode.GetValue());
}" />
                    <Columns>
                        <dx:ListBoxColumn Caption="Code" FieldName="Code" Name="colJECode" 
                            Width="10%" />
                        <dx:ListBoxColumn Caption="Description" FieldName="Description" 
                            Name="colJEDescription" Width="30%" />
                        <dx:ListBoxColumn Caption="Job Name Expr" FieldName="JobName" 
                            Name="colJEJobName" Width="30%" />
                        <dx:ListBoxColumn Caption="Type" FieldName="TypeDesc" Name="colJETypeDesc" 
                            Width="30%" />
                    </Columns>
</dx:ASPxComboBox>

         </td>
     </tr>
     </table>
                <dx:ASPxCallbackPanel ID="cbpData" runat="server" Width="100%" 
                    ClientInstanceName="cbpData" oncallback="cbpData_Callback">
                                <ClientSideEvents CallbackError="function(s, e) {
	CallbackError(e);
}" EndCallback="function(s, e) {
	e.processOnServer = false;
	if (cbpData.cpAction != null && cbpData.cpAction != '')
		handleAjaxResponse(cbpData.cpAction);
}" />
<ClientSideEvents EndCallback="function(s, e) {
	e.processOnServer = false;
	if (cbpData.cpAction != null &amp;&amp; cbpData.cpAction != &#39;&#39;)
		handleAjaxResponse(cbpData.cpAction);
}" CallbackError="function(s, e) {
	CallbackError(e);
}"></ClientSideEvents>
<PanelCollection>
<dx:PanelContent runat="server" SupportsDisabledAttribute="True">
    <table width="100%" cellpadding="2" cellspacing="0" border="0">
        <tr>
            <td style="width:30%">Description:</td>
            <td><dx:ASPxTextBox ID="txtJEDesc" runat="server" ClientInstanceName="txtJEDesc" 
                    EnableClientSideAPI="True" Width="100%" style="margin-left: 0px"></dx:ASPxTextBox></td>
        </tr>
          </tr>
    <tr>
    <td>Match Pattern:</td>
    <td>
        <dx:ASPxTextBox ID="txtJEJobName" runat="server" Width="100%" 
            AutoResizeWithContainer="True" ClientInstanceName="txtJEJobName" 
            EnableClientSideAPI="True">
        </dx:ASPxTextBox>
        <a href="javascript:ShowJENameHelp();">Help</a>
     </td>    
  </tr>
  <tr>
      <td>Match Type:</td>
      <td>        <dx:ASPxRadioButtonList ID="rgJEMatchType" runat="server" Height="17px" 
            RepeatDirection="Horizontal" SkinID="0" ValueType="System.Int32" 
              Width="100%">
            <Items>
                <dx:ListEditItem Selected="True" Text="Job Name" Value="0" />
                <dx:ListEditItem Text="Job ID/Number" Value="1" />
            </Items>
            <Border BorderStyle="None" />
        </dx:ASPxRadioButtonList>
</td>
  </tr>
    

  <tr>
      <td colspan="2">
          

        <dx:ASPxRoundPanel ID="pnlJEAgents" runat="server" Width="100%" 
            HeaderText="FTE Agent Selection">
            <PanelCollection>
<dx:PanelContent ID="PanelContent1" runat="server" SupportsDisabledAttribute="True">
    <table style="width:100%;">
        <tr>
      <td>FTE Agent Match Type:</td>
      <td>        
          <dx:ASPxRadioButtonList ID="rgJEAMatchType" runat="server" Height="17px" 
            RepeatDirection="Horizontal" SkinID="0" ValueType="System.Int32" 
              Width="100%" TextField="Description" ValueField="Value">
            <Border BorderStyle="None" />
        </dx:ASPxRadioButtonList>
</td>
  </tr>
        <tr>
            <td style="width: 30%">
                Type:</td>
            <td>
                <dx:ASPxComboBox ID="cmbJETypeAgentSelect" runat="server" ValueType="System.Int32" 
                    Width="100%" DropDownStyle="DropDown" SelectedIndex="0" 
                    EnableClientSideAPI="True" ClientInstanceName="cmbJETypeAgentSelect">
                    <ClientSideEvents SelectedIndexChanged="function(s, e) {
	OnUpdateJEAgntType(e);
}" />
<ClientSideEvents SelectedIndexChanged="function(s, e) {
	OnUpdateJEAgntType(e);
}"></ClientSideEvents>
                    <Items>
                        <dx:ListEditItem Text="Distribution List" Value="1" Selected="True" />
                        <dx:ListEditItem Text="Any Agent" Value="0" />
                        <dx:ListEditItem Text="Wildcard" Value="2" />
                    </Items>
                </dx:ASPxComboBox>
            </td>
        </tr>
        <tr>
            <td>
                Selection:</td>
            <td>
                <dx:ASPxComboBox ID="cmbJETypeAgentDist" runat="server" 
                    ClientInstanceName="cmbJETypeAgentDist" EnableClientSideAPI="True" 
                    ValueType="System.String" Width="100%" 
                    ValueField="Code" TextFormatString="{0}">
                    <Columns>
                        <dx:ListBoxColumn Caption="Code" FieldName="Code" Name="colJEADCode" 
                            Width="20%" />
                        <dx:ListBoxColumn Caption="Description" FieldName="Description" 
                            Name="colJEADDesc" Width="60%" />
                        <dx:ListBoxColumn Caption="Count" FieldName="DistCount" Name="colJEADCount" 
                            Width="20%" />
                    </Columns>
                </dx:ASPxComboBox>
                        <dx:ASPxTextBox ID="txtJEAgentWildcard" runat="server" Width="100%" 
                    ClientInstanceName="txtJEAgentWildcard" EnableClientSideAPI="True" 
                    ClientVisible="False">
        </dx:ASPxTextBox>
        
            </td>
        </tr>
        <tr><td>Expected Count per Agent:</td>
        <td><dx:ASPxSpinEdit ID="spnJECount" runat="server" Height="21px" Number="1" 
                MaxValue="99999" MinValue="1" NumberType="Integer"></dx:ASPxSpinEdit></td>

         </tr>
    </table>
                </dx:PanelContent>
</PanelCollection>
        </dx:ASPxRoundPanel>
          

      </td>
  </tr>
    <tr>
    <td colspan="2">
        <dx:ASPxRoundPanel ID="pnlJERecurrence" runat="server" Width="100%" 
            HeaderText="Reccurence Interval">
            <PanelCollection>
<dx:PanelContent ID="PanelContent2" runat="server" SupportsDisabledAttribute="True">
    <table style="width:100%;">
        <tr>
            <td width="40px">
                Days:</td>
                             <td>
                <dx:ASPxSpinEdit ID="spnJEDays" runat="server" Height="21px" Number="0" 
                    Width="100%" ClientInstanceName="spnJEDays" EnableClientSideAPI="True">
                </dx:ASPxSpinEdit>
            </td>

            <td width="40px">
                Hours:</td>
                                        <td>
                                <dx:ASPxSpinEdit ID="spnJEHours" runat="server" Height="21px" Number="0" 
                                    Width="100%" ClientInstanceName="spnJEHours" EnableClientSideAPI="True">
                </dx:ASPxSpinEdit>
</td>


            <td width="40px">
                Minutes:</td>
                                        <td>
                         
                <dx:ASPxSpinEdit ID="spnJEMins" runat="server" Height="21px" Number="0" 
                    Width="100%" ClientInstanceName="spnJEMins" EnableClientSideAPI="True">
                </dx:ASPxSpinEdit>
            </td>

        </tr>
        <tr><td colspan="6"><b>Exclusions:</b></td></tr>
       <tr>
             <td colspan="2">
                                 <dx:ASPxCheckBox ID="chkJEExcludePublic" runat="server" CheckState="Unchecked" 
                    Text="Public Holidays:">
                </dx:ASPxCheckBox>
                                <dx:ASPxCheckBox ID="chkJEExcludeWE" runat="server" CheckState="Unchecked" 
                    Text="Week-ends">
                </dx:ASPxCheckBox>

                              <dx:ASPxCheckBox ID="chkJEExcludeDay0" runat="server" CheckState="Unchecked" Text="Sunday">
             </dx:ASPxCheckBox>

             </td>
     
            <td colspan="2">
                <dx:ASPxCheckBox ID="chkJEExcludeDay1" runat="server" CheckState="Unchecked" 
                    Text="Monday:">
                </dx:ASPxCheckBox>
                <dx:ASPxCheckBox ID="chkJEExcludeDay2" runat="server" CheckState="Unchecked" 
                    Text="Tuesday">
                </dx:ASPxCheckBox>
                <dx:ASPxCheckBox ID="chkJEExcludeDay3" runat="server" CheckState="Unchecked" 
                    Text="Wednesday">
                </dx:ASPxCheckBox>
             </td>
             <td colspan="2">
             <dx:ASPxCheckBox ID="chkJEExcludeDay4" runat="server" CheckState="Unchecked" 
                    Text="Thursday">
                </dx:ASPxCheckBox>
                <dx:ASPxCheckBox ID="chkJEExcludeDay5" runat="server" CheckState="Unchecked" 
                    Text="Friday">
                </dx:ASPxCheckBox>
                <dx:ASPxCheckBox ID="chkJEExcludeDay6" runat="server" CheckState="Unchecked" 
                    Text="Saturday">
                </dx:ASPxCheckBox>
             </td>
        </tr>
    </table>
                </dx:PanelContent>
</PanelCollection>
        </dx:ASPxRoundPanel>
        </td>
  </tr>
  <tr>
  <td colspan="2">
        <dx:ASPxRoundPanel ID="pnlJEMonitoring" runat="server" Width="100%" 
            HeaderText="Monitoring" ClientVisible="False">
            <PanelCollection>
<dx:PanelContent ID="PanelContent3" runat="server" SupportsDisabledAttribute="True">
    <table style="width:100%;">
        <tr>
            <td>
                &nbsp;</td>
        </tr>
        <tr>
            <td>
                &nbsp;</td>
        </tr>
        <tr>
            <td>&nbsp;</td>
        </tr>
    </table>
                </dx:PanelContent>
</PanelCollection>
        </dx:ASPxRoundPanel>
        </td>    
  </tr>
    </table>
                        </dx:PanelContent>
</PanelCollection>

        </dx:ASPxCallbackPanel>