﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="UserProfile.ascx.cs" Inherits="MQAWeb.Forms.Admin.User.UserProfile" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxCallback" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxEditors.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxEditors" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxLoadingPanel" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxCallbackPanel" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxPanel" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxCallback" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxEditors.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxEditors" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridView" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridLookup" tagprefix="dx" %>
<script type="text/javascript">
    function GetSelectedRow(e) 
    {
        // routine to get the selected row in the Table
        var grid = cmbUsers.GetGridView();
        e.processOnServer = false;
        var key = grid.GetRowKey(e.visibleIndex);
        grdData.PerformCallback(key);
    }
    function OnValidateInfo() 
    {

        // routine to validate the screen before committing
        if (grdData.IsEditing()) 
        {

            grdData.UpdateEdit();
            return false;
        }
        cbPanel.PerformCallback('dialogSave');
        return true;
    }
    function OnCancelInfo() 
    {
        // Cancel the Screen
        if (grdData.IsEditing())
            grdData.CancelEdit();
        cbPanel.PerformCallback('dialogClose');
    }



    </script>
    <table width="100%" cellpadding="3" cellspacing="2" border="0">
     <tr>
     <td style="width:10%">User:</td>
    <td nowrap="nowrap">
    <dx:ASPxGridLookup runat="server" KeyFieldName="Id" AutoGenerateColumns="False" 
            Width="100%" 
            ClientInstanceName="cmbUsers" EnableClientSideAPI="True" 
            ID="cmbUsers" DisplayFormatString="{0}" TextFormatString="{0}" SelectionMode="Single">
<GridViewProperties>
<SettingsBehavior AllowDragDrop="False" AllowGroup="False" AllowFocusedRow="True" 
        AllowSelectByRowClick="True" AllowSelectSingleRowOnly="True" 
        AutoExpandAllGroups="True" EnableRowHotTrack=true></SettingsBehavior>

<SettingsPager Mode="ShowAllRecords"></SettingsPager>

<Settings GroupFormat="{0}:{1}" 
        ShowVerticalScrollBar="True"></Settings>
</GridViewProperties>
        <ClientSideEvents RowClick="function(s, e) 
{
GetSelectedRow(e);
}" />
<Columns>
<dx:gridviewdatatextcolumn FieldName="Name" ReadOnly="True" 
        Name="colUserName" Width="75%" Caption="Name" VisibleIndex="0">
    </dx:gridviewdatatextcolumn>
<dx:gridviewdatatextcolumn FieldName="DepartmentName" ReadOnly="True" 
        Name="colUserDepartment" Width="25%" Caption="Department" 
        VisibleIndex="2" GroupIndex="0" SortIndex="0" SortOrder="Ascending"></dx:gridviewdatatextcolumn>
<dx:gridviewdatatextcolumn FieldName="Id" ReadOnly="True" 
        Caption="Id" VisibleIndex="5" Name="colUserId" Visible="False"></dx:gridviewdatatextcolumn>
<dx:gridviewdatatextcolumn FieldName="LoginCode" 
        Name="colUserLoginCode" Width="25%" Caption="Login Code" VisibleIndex="1">
    </dx:gridviewdatatextcolumn>
</Columns>

</dx:ASPxGridLookup>

</td>
</tr>
  <tr><td colspan="2">
  <dx:ASPxGridView ID="grdData" runat="server" AutoGenerateColumns="False" 
            ClientInstanceName="grdData" Width="100%" KeyFieldName="Id;Code" 
          EnableRowsCache="False" onrowupdating="grdData_RowUpdating" 
          onrowvalidating="grdData_RowValidating" 
          oncustomcallback="grdData_CustomCallback">
            <settingsbehavior allowdragdrop="False">
            </settingsbehavior>
            <settingspager mode="ShowAllRecords">
            </settingspager>
            <Columns>
                <dx:GridViewCommandColumn Caption="Action" VisibleIndex="0" Width="10%">
                    <editbutton visible="True">
                    </editbutton>
                    <HeaderStyle HorizontalAlign="Center" />
                </dx:GridViewCommandColumn>
                <dx:GridViewDataComboBoxColumn Caption="Setting" FieldName="Code" 
                    Name="colUserSetting" VisibleIndex="1" Width="15%" ReadOnly="True">
                    <propertiescombobox valuetype="System.String" DropDownStyle="DropDown">
                    </propertiescombobox>
                    <EditCellStyle Wrap="True">
                    </EditCellStyle>
                    <CellStyle Wrap="True">
                    </CellStyle>
                </dx:GridViewDataComboBoxColumn>
                <dx:GridViewDataTextColumn VisibleIndex="4" 
                    FieldName="Data" Name="colUserData" Width="25%" 
                    Caption="Value">
                    <EditCellStyle Wrap="True">
                    </EditCellStyle>
                    <CellStyle Wrap="True">
                    </CellStyle>
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn Caption="Description" FieldName="HelpString" 
                    Name="colUserHelp" ReadOnly="True" VisibleIndex="2" Width="50%">
                    <EditFormSettings Visible="False" />
                    <CellStyle Wrap="False">
                    </CellStyle>
                </dx:GridViewDataTextColumn>
            </Columns>
            <Settings 
                ShowHorizontalScrollBar="True" ShowVerticalScrollBar="True" showfooter="True" 
                showgroupbuttons="False" VerticalScrollableHeight="160" />
        </dx:ASPxGridView>        
  </td></tr>
  </table>