﻿<%@ Page Title="" Language="C#" MasterPageFile="~/MasterPages/CompanyPage.master" AutoEventWireup="true" CodeBehind="DetailDashboard.aspx.cs" Inherits="MQAWeb.Forms.FTE.Agents.Dashboards.DetailDashboard" %>
<%@ Register assembly="Kalitte.Dashboard.Framework" namespace="Kalitte.Dashboard.Framework" tagprefix="kalitte" %>
<%@ Register assembly="Ext.Net" namespace="Ext.Net" tagprefix="ext" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxLoadingPanel" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxHiddenField" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxCallback" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxPopupControl" tagprefix="dx" %>
<%@ Register TagPrefix="dx" Namespace="DevExpress.Web.ASPxEditors" Assembly="DevExpress.Web.ASPxEditors.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" %>
<asp:Content ID="header" ContentPlaceHolderID="headerContent" runat="server">
        <script type="text/javascript">
            function OnDashLoad() 
            {
                document.title = '<%=Session["Title"]%> FTE Agent Dashboard ' + document.getElementById('<%= lblTitle.ClientID %>').innerHTML;
                if (typeof (attachWidgetHandlers) != 'undefined')
                    attachWidgetHandlers();
                
                OnRefresh();
            }
            function OnDashUnLoad() {
                if (typeof (ClearAllAutoRefresh) != 'undefined')
                    ClearAllAutoRefresh();
            }
            function OnPageRefresh(status, imagePath) 
            {
                // routine to update the screen with updated content
                imgStatus.SetImageUrl(imagePath);
                document.getElementById('<%= lblTitle.ClientID %>').innerHTML = status;
            }
            function OnRefresh() 
            {
                // routine to refresh the screen
                PerformCallback('Refresh', '');
            }
            function OnDelete() {
                // routine to delete the agent
                var agree = confirm('Are you sure you wish to Stop Monitoring this Agent...?');
                if (agree)
                    PerformCallback('Delete', '');
            }
            function OnUpdateProfile(parms) {
                var sendParms = parms + '!' + hdnField.Get('RefreshValue');
                PerformCallback('UpdateProfile', sendParms);
            }

            function OnCheckTimer(e) {
                // routine to check the timer and update it if neccessary
                CheckTimer(e);
                document.title = '<%=Session["Title"]%> FTE Agent Dashboard ' + document.getElementById('<%= lblTitle.ClientID %>').innerHTML;
            }


    </script>
</asp:Content>
<asp:Content ID="hidden" ContentPlaceHolderID="hiddenControlsContent" runat="server" EnableViewState="True">
     <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <kalitte:ScriptManager ID="ScriptManager2" runat="server" Theme="Slate">
    </kalitte:ScriptManager>
 </asp:Content>
<asp:Content ID="title" ContentPlaceHolderID="titleContent" runat="server">
          <dx:ASPxImage ID="imgStatus"
            runat="server" ClientInstanceName="imgStatus" CssClass="iconpic" 
        EnableClientSideAPI="True" Width="30" Height="30">
        </dx:ASPxImage>
    <asp:Label ID="lblTitle" runat="server" Text="[Agent Name]@[QMName]"></asp:Label>
</asp:Content>
<asp:Content ID="top" ContentPlaceHolderID="topContent" runat="server" EnableViewState="True">
    <a href="#">
                    <dx:aspxbutton ID="btnAgentDelete" runat="server" 
                     ClientInstanceName="btnDelete" Text="Stop Monitoring..." ToolTip="click here to Delete the Agent" 
                     AutoPostBack="False" EnableDefaultAppearance="False">
                                 <Image Url="~/images/General/error.png" Width="25" Height="26"></Image>
                                  <DisabledStyle CssClass="disabled"></DisabledStyle>
                <ClientSideEvents Click="function(s, e) 
                {
	e.processOnServer = false;
	OnDelete();
}" />
            </dx:aspxbutton> 
            </a>
</asp:Content>
<asp:Content ID="page" ContentPlaceHolderID="pageContent" runat="server" EnableViewState="False">
        <kalitte:DashboardSurface ID="dashSurface" runat="server" Width="100%" >
<WindowSettings AutoShow="False" Modal="True" Resizable="True" Maximizable=False Minimizable="False" Closable="True" Icon="None" Width="520" Height="500" Border="True" BodyBorder="True" Collapsible="False" HideCollapseTool="False" AutoWidth="False" AutoHeight="False" Enabled="True" Frame="False" Header="True" Padding="0" Shim="False" TitleCollapse="False" Unstyled="False" HeaderDisplayMode="Always" Dragable="True" AutoScroll="True" FitLayout="True" Stretch="False" Hidden="False" AutoHideTools="False" PreventBodyReset="True"></WindowSettings>

<PanelSettings Icon="None" Border="False" BodyBorder="False" Collapsible="False" HideCollapseTool="False" AutoWidth="True" AutoHeight="True" Enabled="True" Frame="False" Header="False" Padding="0" Shim="False" TitleCollapse="False" Unstyled="False" HeaderDisplayMode="Always" Dragable="False" AutoScroll="False" FitLayout="False" Stretch="False" Hidden="False" AutoHideTools="False" PreventBodyReset="True"></PanelSettings>
    </kalitte:DashboardSurface>
    
                <dx:ASPxCallback ID="cbPanel" runat="server" ClientInstanceName="cbPanel" 
            oncallback="cbPanel_Callback">
                <ClientSideEvents BeginCallback="function(s, e) 
{
	CallbackStartTimer(e);
}" CallbackComplete="function(s, e) 
{
	CallbackComplete(e);
}" EndCallback="function(s, e) 
{
OnCheckTimer(e);
}" CallbackError="function(s, e) 
{
	CallbackError(e);
}" />
        </dx:ASPxCallback>
     <dx:ASPxHiddenField ID="hdnField" runat="server" ClientInstanceName="hdnField">
     </dx:ASPxHiddenField>
                         <dx:ASPxLoadingPanel ID="cbLoading" runat="server" 
         ClientInstanceName="cbLoading" Modal="True">
     </dx:ASPxLoadingPanel>
                    <dx:ASPxPopupControl ID="popupWin" runat="server" ClientInstanceName="popupWin" 
        CloseAction="CloseButton" EnableClientSideAPI="True" 
        PopupHorizontalAlign="WindowCenter" PopupVerticalAlign="WindowCenter" Modal="True" 
                ShowPageScrollbarWhenModal="True" ShowSizeGrip="True" AllowResize="True" 
                AutoUpdatePosition="True" EnableAnimation="true" AllowDragging=true>
                        <ContentStyle>
                            <Paddings Padding="0px" />
                        </ContentStyle>
                        <ContentCollection>
<dx:PopupControlContentControl runat="server"></dx:PopupControlContentControl>
</ContentCollection>
                        <ClientSideEvents CloseUp="function(s, e) {
	// routine to handle the result from the popup
	PopupResult(e);
}" PopUp="function(s, e) {
	cbLoading.Show();
}" Shown="function(s, e) {
	cbLoading.Hide();
}" />
    </dx:ASPxPopupControl>

</asp:Content>
