﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="DetailProperties.ascx.cs" Inherits="MQAWeb.Forms.FTE.Agents.Dashboards.DetailProperties" %>
<%@ Register assembly="Ext.Net" namespace="Ext.Net" tagprefix="ext" %>
 
 <asp:UpdatePanel ID="pnlFTEAgentProperties" runat="server" 
    UpdateMode="Conditional">
     <ContentTemplate>
         <ext:GridPanel ID="grdFTEAgentProperties" runat="server" Border="false" Header="false" Layout="Fit" AutoWidth="True" Height="500" EnableTheming="True" ColumnLines="True">
             <store>
                 <ext:Store ID="Store1" runat="server" GroupField="Grouping">
                     <reader>
                         <ext:JsonReader IDProperty="Name">
                             <Fields>
                                 <ext:RecordField Name="Name" SortType="AsUCString" Type="String" />
                                 <ext:RecordField Name="Value" SortType="AsUCString" Type="String" />
                                 <ext:RecordField Name="Grouping" SortType="AsUCString" />
                             </Fields>
                         </ext:JsonReader>
                     </reader>
                     <SortInfo Field="Name" Direction="ASC"></SortInfo>
                 </ext:Store>
             </store>
             <columnmodel runat="server">
                 <Columns>
                     <ext:Column ColumnID="colFTEAPropName" DataIndex="Name" 
                         Header="Property" Sortable="true" Width="100" Groupable="False"/>
                     <ext:Column ColumnID="colFTEAPropPropValue" DataIndex="Value" Header="Value" 
                         Sortable="False" Width="250" Wrap="True" Groupable="False"/>
                     <ext:Column ColumnID="colFTEAPropGroup" DataIndex="Grouping" 
                         Header="Grouping" Sortable="False" Width="100" Wrap="True" />
                 </Columns>
             </columnmodel>
             <LoadMask ShowMask="true" />
                          <View>
                <ext:GroupingView  
                    ID="gvFTEAgentProperties"
                    HideGroupedColumn="true"
                    runat="server" 
                    ForceFit="true"
                    StartCollapsed="False"
                    EnableRowBody="true" ShowGroupName="False" EnableGrouping="True" Enabled="False">
                </ext:GroupingView>
            </View>
         </ext:GridPanel>
     </ContentTemplate>
</asp:UpdatePanel>
        