﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="DetailTransactions.ascx.cs" Inherits="MQAWeb.Forms.FTE.Agents.Dashboards.DetailTransactions" %>
<%@ Register assembly="Ext.Net" namespace="Ext.Net" tagprefix="ext" %>
 <style type="text/css">        
     
 </style>
<script type="text/javascript">
    var onFTECancelAllCommand = function () {
        Ext.Msg.confirm('Transaction Cancellation', 'Are you sure you wish to request Cancellation of all Running Transactions for this Agent ?', function (btn) 
        {
                if (btn == 'yes') 
                {
                    Ext.net.DirectMethods.<%=ClientID%>.FTEAgentTransactionCancelAll();
                   return true;
                }
        });
    }
    var prepareFTEAgentTransCommand = function(grid, command, record, row) {
        // routine to handle action icon displays
        if (command.command == 'View' && record.data.IsDBLoggged == false) {
            // don't allow viewing
            command.hidden = true;
            command.hideMode = 'display';
        }

        if (command.command == 'Cancel' && record.data.IsDBLoggged == false) {
            // don't allow cancellation
            command.hidden = true;
            command.hideMode = 'display';
        }
    };

    var onFTEAgentTransSuccess = function (response, result) {
        // routine to handle when we need to view the transaction
        var action = result.extraParamsResponse.action;
        var key = result.extraParamsResponse.data;
        if (action == 'View') 
        {
            ShowFTETransView(key);
        }
        if (action == 'Cancel') 
        {
            Ext.Msg.notify('Transaction Cancellation', 'A Cancellation Request for ' + key + ' has been requested');
        }

    };

    var onFTEAgentCancelAllSuccess = function(result) 
    {
        Ext.Msg.notify('All Transaction Cancellation', 'Cancellation Request(s) has been sent for all pending transactions');
    };

        var onFTEAgentTransSuccess = function (response, result) {
        // routine to handle when we need to view the transaction
        var action = result.extraParamsResponse.action;
        var key = result.extraParamsResponse.data;
        if (action == 'View') 
        {
            ShowFTETransView(key);
        }
        if (action == 'Cancel') 
        {
            Ext.Msg.notify('Transaction Cancellation', 'A Cancellation Request for ' + key + ' has been requested');
        }

    };

</script>
 
 <asp:UpdatePanel ID="pnlFTEAgentTrans" runat="server" UpdateMode="Conditional">
         <ContentTemplate>
         <ext:GridPanel ID="grdFTEAgentTrans" runat="server" Height="500" Layout="Fit" AutoWidth="True" EnableTheming="True">
                                  <SelectionModel>
                        <ext:RowSelectionModel ID="RowSelectionModel1" runat="server" Mode="Single" />
                      </SelectionModel>       

                              <store>
                         <ext:Store ID="Store1" runat="server">
                             <reader>
                                 <ext:JsonReader IDProperty="TransactionId">
                                     <Fields>
                                        <ext:RecordField Name="TransactionId" Type="String" SortType="AsUCString"/>
                                        <ext:RecordField Name="Status" Type="String" SortType="AsUCString"/>
                                        <ext:RecordField Name="IsDBLogged" Type="Boolean"/>
                                     </Fields>
                                 </ext:JsonReader>
                             </reader>
                         </ext:Store>
                     </store>
                     <columnmodel runat="server">
                         <Columns>
                             <ext:Column ColumnID="colFTEATransID" DataIndex="TransactionId" Header="Transaction Id" Sortable="true" Width="200" />
                             <ext:Column ColumnID="colFTEATransStatus" Wrap="True" DataIndex="Status" Header="Status" Width="200" ></ext:Column>
                             <ext:ImageCommandColumn Width="200" Header="Operations" >
                                <Commands>
                                    <ext:ImageCommand Icon="Magnifier" CommandName="View">
                                        <ToolTip Text="View Transaction Information" Title="View Transaction..." />
                                    </ext:ImageCommand>
                                    <ext:ImageCommand Icon="Delete" CommandName="Cancel">
                                        <ToolTip Text="Request Transaction Cancellation" Title="Request Transaction Cancellation..."/>
                                    </ext:ImageCommand>
                        </Commands>
                            <PrepareCommand Fn="prepareFTEAgentTransCommand"></PrepareCommand>
                            </ext:ImageCommandColumn>
                         </Columns>
                     </columnmodel>
                     <DirectEvents>
                        <Command OnEvent="Command" Success="onFTEAgentTransSuccess(response, result);">
                            <EventMask ShowMask="True"></EventMask>
                            <Confirmation ConfirmRequest="True" BeforeConfirm="return (command == 'Cancel');" Message="Are you sure you which to cancel this Transaction..." Title="Confirm"></Confirmation>
                            
                            <ExtraParams>
                                <ext:Parameter Name="id" Value="record.data.TransactionId" Mode="Raw" />
                                <ext:Parameter Name="command" Value="command" Mode="Raw" />
                            </ExtraParams>
                            </Command>
                     </DirectEvents>
                       <BottomBar>
                        <ext:Toolbar ID="bbarFTEAgentTrans" runat="server">
                        <Items>
                            <ext:ToolbarFill ID="ToolbarFill1" runat="server" />
                            <ext:Button ID="btnFTEAgentCancel" runat="server" Text="Cancel all Transactions..." ToolTip="click here to Cancel all Running Transactions on this Agent..." Icon="Cancel">
                                 <Listeners>
                                <Click Fn="onFTECancelAllCommand" />
                                </Listeners>
                            </ext:Button>
                        </Items>
                </ext:Toolbar>
            </BottomBar>

         </ext:GridPanel>
     </ContentTemplate>
</asp:UpdatePanel>
        