﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="DateTimeJobExpectFilter.ascx.cs" Inherits="MQAWeb.Forms.FTE.Reporting.Widgets.DateTimeJobExpectFilter" %>
<%@ Register assembly="DevExpress.Web.ASPxEditors.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxEditors" tagprefix="dx" %>
    <%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxCallbackPanel" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxPanel" tagprefix="dx" %>
<script language="javascript">
    function OnSaveSettings() {
        // routine to validate the screen
        if (cmbJECode.GetValue() == '') {
            alert('Please select a Job Expectation Rule');
            cmbJECode.Focus();
        }
        cbPanel.PerformCallback('dialogSave');
    }  
    
</script>
    <table width="100%" cellpadding="0" cellspacing="2" border=0>
             <tr>
                 <td nowrap="nowrap" style="width: 15%">Rule:</td>

                 <td>     
                <dx:ASPxComboBox runat="server" ValueType="System.String" Width="100%" 
             ID="cmbJECode" ClientInstanceName="cmbJECode" EnableClientSideAPI="True" 
                         ValueField="Code" TextFormatString="{0}">
                    <ClientSideEvents EndCallback="function(s, e) {
		e.processOnServer = false;
	if (cmbJECode.cpAction != null && cmbJECode.cpAction != '')
		handleAjaxResponse(cmbJECode.cpAction);

}" />
<ClientSideEvents EndCallback="function(s, e) {
		e.processOnServer = false;
	if (cmbJECode.cpAction != null &amp;&amp; cmbJECode.cpAction != &#39;&#39;)
		handleAjaxResponse(cmbJECode.cpAction);

}"></ClientSideEvents>
                    <Columns>
                        <dx:listboxcolumn Caption="Code" FieldName="Code" Name="colJECode" 
                            Width="15%" />
                        <dx:listboxcolumn Caption="Description" FieldName="Description" 
                            Name="colJEDescription" Width="30%" />
                        <dx:listboxcolumn Caption="Job Name Expr" FieldName="JobName" 
                            Name="colJEJobName" Width="30%" />
                        <dx:listboxcolumn Caption="Type" FieldName="TypeDesc" Name="colJETypeDesc" 
                            Width="25%" />
                    </Columns>
</dx:ASPxComboBox>

    </td>
</tr>
             <tr>
                 <td nowrap="nowrap" style="width: 15%">Display Filter:</td>

                 <td>     
                <dx:ASPxComboBox runat="server" ValueType="System.Int32" Width="100%" 
             ID="cmbJEFilterType" ClientInstanceName="cmbJEFilterType" EnableClientSideAPI="True" 
                         ValueField="Value" TextFormatString="{0}" TextField="Description">
                    <ClientSideEvents EndCallback="function(s, e) {
		e.processOnServer = false;
	if (cmbJECode.cpAction != null && cmbJECode.cpAction != '')
		handleAjaxResponse(cmbJECode.cpAction);

}" />
<ClientSideEvents EndCallback="function(s, e) {
		e.processOnServer = false;
	if (cmbJECode.cpAction != null &amp;&amp; cmbJECode.cpAction != &#39;&#39;)
		handleAjaxResponse(cmbJECode.cpAction);

}"></ClientSideEvents>
</dx:ASPxComboBox>

    </td>
</tr>
             <tr>
                 <td nowrap="nowrap" style="width: 15%">Date Selection:</td>

                 <td>     
                     <dx:ASPxComboBox ID="cmbDateSelection" runat="server" Width="100%" 
            AutoResizeWithContainer="True" ClientInstanceName="cmbDateSelection" TextField="Description" 
            ValueField="Value" ValueType="System.String" 
                         onselectedindexchanged="cmbDateSelection_SelectedIndexChanged">
                     <ClientSideEvents ValueChanged="function(s, e) 
{
	cbDateSelectPanel.PerformCallback(cmbDateSelection.GetValue());
}" />
            <Columns>
                <dx:ListBoxColumn Caption="Selection" FieldName="Description" Name="colDescription" />
            </Columns>
        </dx:ASPxComboBox>
    </td>
</tr>
 <tr>
    <td nowrap="nowrap">From Date:</td>

     <td>
        <dx:ASPxCallbackPanel ID="cbDateSelectPanel" runat="server" Width="100%" 
             ClientInstanceName="cbDateSelectPanel" oncallback="cbDateSelectPanel_Callback" 
             ShowLoadingPanel="False">
            <PanelCollection>
<dx:PanelContent ID="PanelContent2" runat="server" SupportsDisabledAttribute="True">
        <table width="100%" cellpadding="0" cellspacing="2" border=0>
<tr>
   <td style="width:25%">
    <dx:ASPxDateEdit ID="dteFromDate" runat="server" AutoResizeWithContainer="True" 
        ClientInstanceName="dteFromDate" EnableClientSideAPI="True" Width="100%" PopupVerticalAlign="Below">
    </dx:ASPxDateEdit>
   </td>
    <td style="width:25%">
        <dx:ASPxTimeEdit ID="tmeFromDate" runat="server" Width="100%">
        </dx:ASPxTimeEdit>
    </td>
    <td nowrap="nowrap">To Date:</td>

    <td style="width:25%">
        <dx:ASPxDateEdit ID="dteToDate" runat="server" Width="100%" 
            AutoResizeWithContainer="True" ClientInstanceName="dteToDate" 
            EnableClientSideAPI="True" PopupVerticalAlign="Below">
        </dx:ASPxDateEdit>
         </td>
        
    <td style="width:25%">
        <dx:ASPxTimeEdit ID="tmeToDate" runat="server" Width="100%">
        </dx:ASPxTimeEdit>
     </td>        
 </tr>
 </table>
 </dx:PanelContent>
</PanelCollection>
        </dx:ASPxCallbackPanel>
</td>
</tr>  
 <tr>
       <td style="height:210px" colspan="2">&nbsp</td>
 </tr>

  </table>