﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="MetaDataDetail.ascx.cs" Inherits="MQAWeb.Forms.FTE.Reporting.Widgets.MetaDataDetail" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxCallback" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridView" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxEditors.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxEditors" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxCallback" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridView" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxEditors.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxEditors" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1.Export, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridView.Export" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxMenu" tagprefix="dx" %>
        <dx:ASPxGridViewExporter ID="grdMetaExport" runat="server" 
    GridViewID="grdMetaData" Landscape="True">
</dx:ASPxGridViewExporter>

        <dx:ASPxGridView ID="grdMetaData" runat="server" AutoGenerateColumns="False" 
            ClientInstanceName="grdMetaData" Width="100%" KeyFieldName="KeyValue;MDType"
    onhtmldatacellprepared="grdMetaData_HtmlDataCellPrepared" 
    EnableRowsCache="False">
                <Templates>
                <FooterRow>
                    <dx:ASPxButton ID="btnMetaExport" runat="server" 
                        ClientInstanceName="btnMetaExport" EnableClientSideAPI="True" 
                        onclick="btnMetaExport_Click" Text="Export to Spreadsheet" 
                        ToolTip="click here to Export the Grid Data to Spreadsheet" Wrap="False">
                        <ClientSideEvents Click="function(s, e) {
}" />
                    </dx:ASPxButton>
               </FooterRow>
            </Templates>
            <SettingsBehavior ColumnResizeMode="Control" AutoExpandAllGroups="True"/>
                <SettingsPager Mode="ShowAllRecords">
                </SettingsPager>
            <Columns>
                 <dx:GridViewDataTextColumn Caption="Key" FieldName="KeyValue" 
                    Name="colMetaKey" ReadOnly="True" VisibleIndex="0" Width="50%">
                </dx:GridViewDataTextColumn>
                 <dx:GridViewDataTextColumn Caption="Value" FieldName="Value" 
                    Name="colMetaValue" ReadOnly="True" VisibleIndex="1" Width="50%">
                     <DataItemTemplate>
                         <dx:ASPxHyperLink ID="hyperLink" runat="server" CssClass="noLink">
                         </dx:ASPxHyperLink>
                     </DataItemTemplate>
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn Caption="Type" FieldName="MDTypeDesc" 
                    Name="colMetaTypeDesc" ReadOnly="True" VisibleIndex="2" Width="300px" 
                     GroupIndex="0" SortIndex="0" SortOrder="Ascending" Visible="False">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn Caption="MDType" FieldName="MDType" 
                    Name="colMetaMDType" ReadOnly="True" VisibleIndex="3" Visible="False">
                </dx:GridViewDataTextColumn>
            </Columns>
            <Settings ShowFilterBar="Auto" 
                ShowHorizontalScrollBar="True" ShowVerticalScrollBar="True" 
                VerticalScrollableHeight="350" ShowFooter="true" 
                    GroupFormat="{1} {2}"/>
        </dx:ASPxGridView>        