﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="SysResources.ascx.cs" Inherits="MQAWeb.Forms.General.Dashboards.SysResources" %>
<%@ Register assembly="DevExpress.Web.ASPxGauges.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGauges" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGauges.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGauges.Gauges" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGauges.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGauges.Gauges.Linear" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGauges.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGauges.Gauges.Circular" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGauges.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGauges.Gauges.State" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGauges.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGauges.Gauges.Digital" tagprefix="dx" %>
 <asp:UpdatePanel ID="pnlSysResources" runat="server" UpdateMode="Conditional">
    <ContentTemplate>
        <dx:ASPxGaugeControl ID="gaugeSysResources" runat="server" BackColor="White" 
            ClientInstanceName="gaugeSysResources" Height="500px" Value="15" 
            Width="490px">
            <Gauges>
                <dx:CircularGauge Bounds="0, 0, 490, 500" Name="SysInfo_DashBoard">
                    <backgroundlayers>
                        <dx:ArcScaleBackgroundLayerComponent Name="bgCPU" ScaleID="cpuTotal" 
                            ShapeType="CircularFull_Style1" Size="112, 112" ZOrder="-5" />
                        <dx:ArcScaleBackgroundLayerComponent Name="bgOS" ScaleID="osThreads" 
                            ShapeType="CircularFull_Style1" Size="87, 87" ZOrder="1050" />
                        <dx:ArcScaleBackgroundLayerComponent Name="bgMemory" ScaleID="memoryTotal" 
                            ShapeType="CircularFull_Style1" Size="82, 82" ZOrder="1000" />
                        <dx:ArcScaleBackgroundLayerComponent Name="bgHDD" ScaleID="hddTotal" 
                            ShapeType="CircularFull_Style1" Size="82, 82" ZOrder="1000" />
                        <dx:ArcScaleBackgroundLayerComponent Name="bgAll" ScaleCenterPos="0.5, 0.285" 
                            ScaleID="cpuTotal" ShapeType="CircularFull_SysInfoBack" Size="250, 212" 
                            ZOrder="5000" 
            Shader="&lt;ShaderObject Type=&quot;Complex&quot; Data=&quot;Opacity[1] Colors[Style1:Black;Style2:Gray]&quot;/&gt;" />
                    </backgroundlayers>
                    <scales>
                        <dx:ArcScaleComponent AppearanceTickmarkText-Font="Tahoma, 5pt" 
                            AppearanceTickmarkText-TextBrush="&lt;BrushObject Type=&quot;Solid&quot; Data=&quot;Color:Black&quot;/&gt;" 
                            Center="125, 75" EndAngle="60" MajorTickmark-FormatString="{0:F0}" 
                            MajorTickmark-ShapeOffset="-2" MajorTickmark-ShapeScale="0.4, 0.6" 
                            MajorTickmark-ShapeType="Circular_Style1_4" MajorTickmark-TextOffset="-7" 
                            MajorTickmark-TextOrientation="LeftToRight" MaxValue="100" MinorTickCount="4" 
                            MinorTickmark-ShapeScale="0.3, 0.5" MinorTickmark-ShapeType="Circular_Style1_3" 
                            Name="cpuTotal" RadiusX="45" RadiusY="45" StartAngle="-240" Value="15" 
                            ZOrder="-50">
                            <labels>
                                <dx:ScaleLabelWeb AppearanceText-Font="Tahoma, 5pt" 
                                    AppearanceText-TextBrush="&lt;BrushObject Type=&quot;Solid&quot; Data=&quot;Color:Black&quot;/&gt;" 
                                    FormatString="{0} {1:F0}%" Name="Label0" Position="125, 116" Size="100, 12" 
                                    Text="Total:" />
                                <dx:ScaleLabelWeb AppearanceText-Font="Tahoma, 5pt" 
                                    AppearanceText-TextBrush="&lt;BrushObject Type=&quot;Solid&quot; Data=&quot;Color:DimGray&quot;/&gt;" 
                                    FormatString="{0}" Name="Label1" Position="125, 95" Size="50, 12" 
                                    Text="Kernel" />
                                <dx:ScaleLabelWeb AppearanceText-Font="Tahoma, 5pt" 
                                    AppearanceText-TextBrush="&lt;BrushObject Type=&quot;Solid&quot; Data=&quot;Color:DarkGray&quot;/&gt;" 
                                    FormatString="{0}" Name="Label2" Position="125, 88" Size="50, 12" Text="User" />
                            </labels>
                        </dx:ArcScaleComponent>
                        <dx:ArcScaleComponent AppearanceTickmarkText-Font="Tahoma, 6pt" 
                            AppearanceTickmarkText-TextBrush="&lt;BrushObject Type=&quot;Solid&quot; Data=&quot;Color:Silver&quot;/&gt;" 
                            Center="125, 75" EndAngle="60" MajorTickmark-FormatString="{0:F0}" 
                            MajorTickmark-ShapeOffset="-2" MajorTickmark-ShapeScale="0.6, 0.8" 
                            MajorTickmark-ShapeType="Circular_Style10_4" MajorTickmark-ShowText="False" 
                            MajorTickmark-ShowTick="False" MajorTickmark-TextOffset="-10" 
                            MajorTickmark-TextOrientation="LeftToRight" MaxValue="100" MinorTickCount="4" 
                            MinorTickmark-ShapeScale="0.6, 1" MinorTickmark-ShapeType="Circular_Style10_3" 
                            MinorTickmark-ShowTick="False" Name="cpuUser" RadiusX="50" RadiusY="50" 
                            StartAngle="-240" Value="15" ZOrder="1001">
                        </dx:ArcScaleComponent>
                        <dx:ArcScaleComponent AppearanceTickmarkText-Font="Tahoma, 6pt" 
                            AppearanceTickmarkText-TextBrush="&lt;BrushObject Type=&quot;Solid&quot; Data=&quot;Color:Silver&quot;/&gt;" 
                            Center="125, 75" EndAngle="60" MajorTickmark-FormatString="{0:F0}" 
                            MajorTickmark-ShapeOffset="-2" MajorTickmark-ShapeScale="0.6, 0.8" 
                            MajorTickmark-ShapeType="Circular_Style10_4" MajorTickmark-ShowText="False" 
                            MajorTickmark-ShowTick="False" MajorTickmark-TextOffset="-10" 
                            MajorTickmark-TextOrientation="LeftToRight" MaxValue="100" MinorTickCount="4" 
                            MinorTickmark-ShapeScale="0.6, 1" MinorTickmark-ShapeType="Circular_Style10_3" 
                            MinorTickmark-ShowTick="False" Name="cpuKernel" RadiusX="50" RadiusY="50" 
                            StartAngle="-240" Value="3" ZOrder="1002">
                        </dx:ArcScaleComponent>
                        <dx:ArcScaleComponent AppearanceTickmarkText-Font="Tahoma, 4pt" 
                            AppearanceTickmarkText-TextBrush="&lt;BrushObject Type=&quot;Solid&quot; Data=&quot;Color:Black&quot;/&gt;" 
                            Center="125, 175" EndAngle="10" MajorTickCount="7" 
                            MajorTickmark-FormatString="{0:F0}" MajorTickmark-ShapeOffset="-1" 
                            MajorTickmark-ShapeScale="0.25, 0.4" 
                            MajorTickmark-ShapeType="Circular_Style1_4" MajorTickmark-TextOffset="-7" 
                            MajorTickmark-TextOrientation="LeftToRight" MaxValue="2048" MinorTickCount="4" 
                            MinorTickmark-ShapeScale="0.3, 0.5" MinorTickmark-ShapeType="Circular_Style1_3" 
                            MinValue="100" Name="osThreads" RadiusX="35" RadiusY="35" StartAngle="-190" 
                            Value="500">
                            <labels>
                                <dx:ScaleLabelWeb AppearanceText-Font="Tahoma, 4pt" 
                                    AppearanceText-TextBrush="&lt;BrushObject Type=&quot;Solid&quot; Data=&quot;Color:Black&quot;/&gt;" 
                                    FormatString="{0}{1:F0}" Name="Label1" Position="125, 160" Size="50, 12" 
                                    Text="Threads:" />
                            </labels>
                        </dx:ArcScaleComponent>
                        <dx:ArcScaleComponent AppearanceTickmarkText-Font="Tahoma, 3pt" 
                            AppearanceTickmarkText-TextBrush="&lt;BrushObject Type=&quot;Solid&quot; Data=&quot;Color:Black&quot;/&gt;" 
                            Center="125, 175" EndAngle="150" MajorTickCount="6" 
                            MajorTickmark-FormatString="{0:F0}" MajorTickmark-ShapeOffset="-1" 
                            MajorTickmark-ShapeScale="0.3, 0.4" MajorTickmark-ShapeType="Circular_Style1_2" 
                            MajorTickmark-TextOffset="-7" MajorTickmark-TextOrientation="LeftToRight" 
                            MaxValue="256" MinorTickCount="4" MinorTickmark-ShapeScale="0.3, 0.5" 
                            MinorTickmark-ShapeType="Circular_Style1_1" Name="osProcesses" RadiusX="35" 
                            RadiusY="35" StartAngle="30" Value="50">
                            <labels>
                                <dx:ScaleLabelWeb AppearanceText-Font="Tahoma, 4pt" 
                                    AppearanceText-TextBrush="&lt;BrushObject Type=&quot;Solid&quot; Data=&quot;Color:Black&quot;/&gt;" 
                                    FormatString="{0}{1:F0}" Name="Label1" Position="125, 191" Size="50, 12" 
                                    Text="Processes:" />
                            </labels>
                        </dx:ArcScaleComponent>
                        <dx:ArcScaleComponent AppearanceTickmarkText-Font="Tahoma, 3pt" 
                            AppearanceTickmarkText-TextBrush="&lt;BrushObject Type=&quot;Solid&quot; Data=&quot;Color:Black&quot;/&gt;" 
                            Center="46.5, 135" EndAngle="60" MajorTickmark-FormatString="{0:F0}" 
                            MajorTickmark-ShapeOffset="-2" MajorTickmark-ShapeScale="0.2, 0.3" 
                            MajorTickmark-ShapeType="Circular_Style1_4" MajorTickmark-TextOffset="-7" 
                            MajorTickmark-TextOrientation="LeftToRight" MaxValue="100" MinorTickCount="4" 
                            MinorTickmark-ShapeScale="0.15, 0.25" 
                            MinorTickmark-ShapeType="Circular_Style1_3" Name="memoryTotal" RadiusX="35" 
                            RadiusY="35" StartAngle="-240" Value="15">
                            <labels>
                                <dx:ScaleLabelWeb AppearanceText-Font="Tahoma, 4pt" 
                                    AppearanceText-TextBrush="&lt;BrushObject Type=&quot;Solid&quot; Data=&quot;Color:Black&quot;/&gt;" 
                                    FormatString="{0} {2:P1}" Name="Label0" Position="50, 150" Size="100, 12" 
                                    Text="Free:" />
                                <dx:ScaleLabelWeb AppearanceText-Font="Tahoma, 3.75pt, style=Bold" 
                                    AppearanceText-TextBrush="&lt;BrushObject Type=&quot;Solid&quot; Data=&quot;Color:Purple&quot;/&gt;" 
                                    FormatString="{0}" Name="Label1" 
            Position="50, 125" Text="Memory, MB" />
                            </labels>
                        </dx:ArcScaleComponent>
                        <dx:ArcScaleComponent AppearanceTickmarkText-Font="Tahoma, 3pt" 
                            AppearanceTickmarkText-TextBrush="&lt;BrushObject Type=&quot;Solid&quot; Data=&quot;Color:Black&quot;/&gt;" 
                            Center="203.5, 135" EndAngle="60" MajorTickmark-FormatString="{0:F0}" 
                            MajorTickmark-ShapeOffset="-2" MajorTickmark-ShapeScale="0.2, 0.3" 
                            MajorTickmark-ShapeType="Circular_Style1_4" MajorTickmark-TextOffset="-7" 
                            MajorTickmark-TextOrientation="LeftToRight" MaxValue="100" MinorTickCount="4" 
                            MinorTickmark-ShapeScale="0.15, 0.25" 
                            MinorTickmark-ShapeType="Circular_Style1_3" Name="hddTotal" RadiusX="35" 
                            RadiusY="35" StartAngle="-240" Value="15">
                            <labels>
                                <dx:ScaleLabelWeb AppearanceText-Font="Tahoma, 4pt" 
                                    AppearanceText-TextBrush="&lt;BrushObject Type=&quot;Solid&quot; Data=&quot;Color:Black&quot;/&gt;" 
                                    FormatString="{0} {2:P1}" Name="Label0" Position="205, 150" Size="100, 12" 
                                    Text="Free:" />
                                <dx:ScaleLabelWeb AppearanceText-Font="Tahoma, 3.75pt, style=Bold" 
                                    AppearanceText-TextBrush="&lt;BrushObject Type=&quot;Solid&quot; Data=&quot;Color:Purple&quot;/&gt;" 
                                    FormatString="{0}" Name="Label1" 
            Position="205, 125" Text="HDD, GB" />
                            </labels>
                        </dx:ArcScaleComponent>
                    </scales>
                    <needles>
                        <dx:ArcScaleNeedleComponent Name="needleCpu" ScaleID="cpuTotal" 
                            ShapeType="CircularFull_Style1" StartOffset="-2" ZOrder="-50" />
                        <dx:ArcScaleNeedleComponent Name="needleRAM" ScaleID="memoryTotal" 
                            ShapeType="CircularFull_Style1" StartOffset="-2.75" ZOrder="-50" />
                        <dx:ArcScaleNeedleComponent Name="needleHDD" ScaleID="hddTotal" 
                            ShapeType="CircularFull_Style1" StartOffset="-1.5" ZOrder="-50" />
                    </needles>
                    <rangebars>
                        <dx:ArcScaleRangeBarComponent AppearanceRangeBar-ContentBrush="&lt;BrushObject Type=&quot;Solid&quot; Data=&quot;Color:Green&quot;/&gt;" 
                            EndOffset="16" Name="rangeUser" ScaleID="cpuUser" StartOffset="40" 
                            ZOrder="-10" />
                        <dx:ArcScaleRangeBarComponent AppearanceRangeBar-ContentBrush="&lt;BrushObject Type=&quot;Solid&quot; Data=&quot;Color:Red&quot;/&gt;" 
                            EndOffset="16" Name="rangeKernel" ScaleID="cpuKernel" StartOffset="40" 
                            ZOrder="-11" />
                        <dx:ArcScaleRangeBarComponent AnchorValue="100" 
                            AppearanceRangeBar-ContentBrush="&lt;BrushObject Type=&quot;Solid&quot; Data=&quot;Color:Green&quot;/&gt;" 
                            EndOffset="-3" Name="rangeThreads" ScaleID="osThreads" StartOffset="33" 
                            ZOrder="1" />
                        <dx:ArcScaleRangeBarComponent AppearanceRangeBar-ContentBrush="&lt;BrushObject Type=&quot;Solid&quot; Data=&quot;Color:Red&quot;/&gt;" 
                            EndOffset="-2" Name="rangeProcesses" ScaleID="osProcesses" StartOffset="33" 
                            ZOrder="1" />
                    </rangebars>
                    <labels>
                        <dx:LabelComponent AppearanceText-Font="Tahoma, 3.75pt, style=Bold" 
                            AppearanceText-TextBrush="&lt;BrushObject Type=&quot;Solid&quot; Data=&quot;Color:Purple&quot;/&gt;" 
                            Name="processorName" Position="125, 62" Size="75, 25" Text="CPU Info" 
                            ZOrder="-45" />
                        <dx:LabelComponent AppearanceText-Font="Tahoma, 3.75pt, style=Bold" 
                            AppearanceText-TextBrush="&lt;BrushObject Type=&quot;Solid&quot; Data=&quot;Color:Purple&quot;/&gt;" 
                            Name="osName" Position="125, 175" Size="55, 25" 
            Text="OS Info" ZOrder="-2" />
                    </labels>
                </dx:CircularGauge>
            </Gauges>
        </dx:ASPxGaugeControl>
    </ContentTemplate>
</asp:UpdatePanel>