﻿var rootUrl = '';
var timerOn = 0;
var t;
var filesizes = ['bytes', 'KB', 'MB', 'GB', 'TB'];
function bytesToSize(bytes) {
    // routine to return the apppriate file index
    if (bytes == 0) return 0;
    return parseInt(Math.floor(Math.log(bytes) / Math.log(1024)));
};

function nl2br(v) { return v === undefined || v === null ? '' : v.replace(/\n/g, '<br/>'); }
function handleAjaxResponse(response) 
{
    // routine to handle ajax responses
    if (response == null || response == '')
        return;
    var returnmsg = response.split('|');
    if (returnmsg[0] == 'error') {
        alert(returnmsg[1]);
        return false;
    }
    if (returnmsg[0] == 'script') {
        
        eval(returnmsg[1]);
        return false;
    }
    if (returnmsg[0] == 'close') {
        window.returnValue = 'close';
        alert('i am closing the window');
        window.close();
    }
}
function showPopupWindow(win, e, url, title, width, height, top, left) 
{
    // routine to show a popup window of the given parameters
    if (e != null)
        e.processOnServer = false;
    //dialogParms = "dialogHeight:" + height + "px;dialogWidth:" + width + "px;resizable:yes;center:yes;status:0;help:0";
    //window.showModalDialog(url, dialogParms);
    url += '&nocacheid=' + new Date().getTime();

    win.SetContentUrl(url);
    win.GetContentIFrame().src = url;
    win.SetHeaderText(title);
    win.SetSize(width, height);
    win.Show();

    //popupWin.ShowAtPos(top, left);
    //popupWin.Show();
    //popupWin.AdjustSize();
}

function GetBrowserSize() 
{
    // routine to return the browser size
    return 'browserWidth=' + document.body.offsetWidth + '&browserHeight=' + document.documentElement.clientHeight;
}

function showWindowMax(aURL) {
// open a maximized window
    var wOpen;
    var sOptions;
    sOptions = sOptions + 'width=' + (screen.availWidth - 10).toString();
    sOptions = sOptions + 'height=' + (screen.availHeight - 122).toString();
    sOptions = sOptions + 'screenX=0,screenY=0,left=0,top=0';
    wOpen = window.open('', '',sOptions);
    wOpen.location = aURL;
    wOpen.focus();
    wOpen.moveTo(0, 0);
    wOpen.resizeTo(screen.availWidth, screen.availHeight);
    return wOpen;
}


function showWindow(url, title, width, height, top, left) {
    // routine to show a popup window of the given parameters
    url += '&nocacheid=' + new Date().getTime();
    window.open(url);
}

function closeWindow(returnvar) {
    // routine to close the window with the specified returnValue
    window.returnValue = returnvar;
    window.close();
}

function openDialog(url, parameters, dialogParms) {
    // routine to show the modal dialog, and return the result
    url += '&nocacheid=' + new Date().getTime();
    var returnValue = window.showModalDialog(url, parameters, dialogParms);
    return returnValue;
}

function OnExportDoc(type, chartControl) {
    if (type == "btnExcel")
        chartControl.SaveToWindow('xls');
    if (type == "btnPDF")
        chartControl.SaveToWindow('pdf');
}
function OnExportExcel(e, chartControl) {
    // export the given chart to Excel
    e.processOnServer = false;
    OnExportDoc('btnExcel', chartControl);
}

function PerformCallback(operation, parms) {
    // routine to perform a call back on the form
    if (cbPanel != null && !cbPanel.InCallback())
        cbPanel.PerformCallback(operation + '!' + parms);
}
function HideLoading() {
    if (cbLoading != null && cbLoading.GetVisible())
        cbLoading.Hide();

}
function ShowLoading() {
    if (cbLoading != null && !cbLoading.GetVisible())
        cbLoading.Show();

}
function CallbackStart(e) {
    ShowLoading();
}
function CallbackStartTimer(e) {
    CallbackStart(e);
    ClearTimer(e);
}
function CallbackComplete(e) {
    HideLoading();
    if (e.result != null)
        handleAjaxResponse(e.result);
}
function CallbackError(e) {
    HideLoading();
    e.handled = true;
    if (e.message.indexOf('error|') > -1)
        handleAjaxResponse(e.message);
    else
        handleAjaxResponse('error|' + e.message);

}
function CallbackTimerError(e) {
    CallbackError(e);
    CheckTimer(e);
}
function CallbackGridError(e) {
    e.handled = true;
    if (e.message.indexOf('error|') > -1)
        handleAjaxResponse(e.message);
    else
        handleAjaxResponse('error|' + e.message);
}
function PopupResultTimer(e)
{

    e.processOnServer = false;
    var value = hdnField.Get('PopupResult');
    hdnField.Set('PopupResult', '');
    if (value != null && value != '') 
    {
        if (value.length >= 8 && value.substring(0, 8) == 'jsscript')
            eval(value.replace('jsscript', ''));
        else
            cbPanel.PerformCallback(value);
        return false;
    }
    else
        CheckTimer(e);
}

function closeDialog() 
{
    window.parent.hdnField.Set('PopupResult', '');
    window.parent.popupWin.Hide();
}

function PopupResult(e) {
    e.processOnServer = false;
    var value = hdnField.Get('PopupResult');
    hdnField.Set('PopupResult', '');
    if (value != null && value != '') 
    {
        if (value.length >= 8 && value.substring(0, 8) == 'jsscript')
            eval(value.replace('jsscript',''));
        else
            cbPanel.PerformCallback(value);
        return false;
    }
}

function Export(s) {
    popMenu.ShowAtElement(s.GetMainElement());
}

function ShowWidgetPanel(widgetPanelUID) {
    var panel = dockMan.GetPanelByUID(widgetPanelUID);
    panel.Show();
}
function SetWidgetButtonVisible(widgetName, visible) {
    var button = ASPxClientControl.GetControlCollection().GetByName('widgetButton_' + widgetName);
    button.GetMainElement().className = visible ? '' : 'disabled';
}

function ChartTrack(s, e) {
    // generic routine to manage object tracking in a chart control
    var hitInCategory = e.hitInfo.inSeries && e.chart.series[0].visible;
    var hitInSeriesPoint = e.hitInfo && e.hitInfo.inSeriesPoint;
    s.SetCursor((hitInCategory && hitInSeriesPoint) ? 'pointer' : 'default');
}
function ChartDrill(s, e) {
    // routine to determine if a chart drill selection warrants a trip to the server
    var hitInCategory = e.hitInfo.inSeries && e.chart.series[0].visible;
    var hitInSeriesPoint = e.hitInfo && e.hitInfo.inSeriesPoint;
    e.processServer = hitInCategory && hitInSeriesPoint;
}

function CheckTimer(e) 
{
    // routine to check the timer and update it if neccessary
    if (e != null)
        e.processOnServer = false;
    var refreshValue = hdnField.Get('RefreshValue') * 1000;
    if (timerOn == 1)
        ClearTimer(e);
    if (refreshValue > 0) {
        t = window.setTimeout('OnRefresh()', refreshValue);
        timerOn = 1;
    }
}
function ClearTimer(e) 
{
    // clear the timer
    if (e != null)
        e.processOnServer = false;
    if (timerOn == 1) {
        window.clearTimeout(t);
        timerOn = 0;
        t = undefined;
    }
}

function GetDateString(date) {
    var returnStr = leftPad(date.getFullYear(),4) + '-' + leftPad((date.getMonth() + 1), 2) + '-' + leftPad(date.getDate(), 2);
    returnStr += ' ' + leftPad(date.getHours(), 2) + ':' + leftPad(date.getMinutes(), 2) + ':' + leftPad(date.getSeconds(), 2);
    return returnStr;
}
function leftPad(number, targetLength) 
{
    var output = number + '';
    while (output.length < targetLength) {
        output = '0' + output;
    }
    return output;
}