﻿<%@ Page Title="" Language="C#" MasterPageFile="~/MasterPages/CompanyPage.master" AutoEventWireup="true" CodeBehind="JobExpect.aspx.cs" Inherits="MQAWeb.Forms.FTE.Reporting.JobExpect" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxCallback" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxLoadingPanel" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxPopupControl" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridView" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1.Export, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridView.Export" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxHiddenField" tagprefix="dx" %>
<%@ Register src="~/Forms/General/Widgets/ReportView.ascx" tagname="ReportView" tagprefix="uc2" %>
<%@ Register assembly="DevExpress.Web.ASPxEditors.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxEditors" tagprefix="dx" %>
<%@ Register src="~/Forms/FTE/Reporting/Widgets/TransPanel.ascx" tagname="TransPanel" tagprefix="uc3" %>
<asp:Content ID="header" ContentPlaceHolderID="headerContent" runat="server">
<script type="text/javascript">
    function OnGetJobId(e) {
        // routine to Handle the Displaying of Transaction Detail when a row is double clicked
        grdData.GetRowValues(e.visibleIndex, 'JobId;TransactionId', OnShowTransactionDetail);

    }
    function OnFTERowSelect(e) {
        // routine to Handle the Updating of Icons when the Transaction is selected
        e.processOnServer = false;
        if (IsFTEGroupRow(e.visibleIndex, grdData))
            return;
        sTransIndex = e.visibleIndex + '!' + e.isSelected;
        grdData.GetRowValues(e.visibleIndex, 'JobId;TransactionId', OnShowFTERowSelect);
    }

    function OnShowTransactionDetail(values) {
        // show the FTE Transaction Detail
        if (values[1] != null && values[1] != '')
            ShowFTEDetailView('FTE Job ' + values[0], '&jobId=' + values[0] + '&transactionId=' + values[1]);
    }

    function OnRefresh() {
        // routine to refresh the screen
        if (!grdData.InCallback() && !cbPanel.InCallback() && !popupWin.GetVisible())
            grdData.PerformCallback();
    }
    function OnGridRefresh() {
        // routine to refresh the grid
        if (!grdData.InCallback())
            grdData.PerformCallback();
    }
    function OnFilterSelect(urlparms) {
        // routine to select the filter for the report
        var url = '<%=ResolveUrl("~/Forms/frmDialog.aspx")%>?UserControl=~/Forms/FTE/Reporting/Widgets/DateTimeJobExpectFilter.ascx';
        var title = 'Report Filter Parameters';
        url += '&Title=' + title;
        url += '&SubTitle=Please provide the Filter Details' + urlparms;
        showPopupWindow(popupWin, null, url, title, 570, 490, 100, 50);
    }
    function OnResize(s, e) {
        // routine to handle resize of the page
        var height = Math.max(0, document.documentElement.clientHeight);
        grdData.SetHeight(height - 130);
    }
    function OnReportOptions() {
        // routine to handle the report options
        OnReportOptionsGrid(hdnField);
    }

    function OnUpdateHiddenValues(parameters) {
        // routine to update the hidden field
        var parms = parameters.split('!');
        hdnField.Set('FilterFromDateTime', parms[1]);
        hdnField.Set('FilterToDateTime', parms[2]);
        hdnField.Set('FilterExpectCode', parms[3]);
        hdnField.Set('FilterDateType', parms[4]);
        hdnField.Set("FilterDetailType", parms[5]);
        OnGridRefresh();
    }
    function OnUpdateProfile(parms) {
        var sendParms = parms;
        PerformCallback('UpdateProfile', sendParms);
    }

</script>
</asp:Content>


<asp:Content ID="title" ContentPlaceHolderID="titleContent" runat="server">
    <img src="<%=ResolveClientUrl("~/images/General/time.png")%>" class="headerLogo" />&nbspJob Expectation&nbsp; 
    Detail 
</asp:Content>

<asp:Content ID="top" ContentPlaceHolderID="topContent" runat="server">
   <div style="float:left"><uc3:TransPanel ID="uc3TransPanel" runat="server" /></div>
    <div style="float:right"><uc2:ReportView ID="uc2ReportView" runat="server" /></div>
</asp:Content>


<asp:Content ID="page" ContentPlaceHolderID="pageContent" runat="server">
    <div id="panelContent" style="width:100%">
        <dx:ASPxGridViewExporter ID="gridViewExport" runat="server" 
            GridViewID="grdData" Landscape="True" 
            onrenderbrick="gridViewExport_RenderBrick">
            <Styles>
                <Default Font-Names="Tahoma">
                </Default>
                <Header Font-Bold="False" Font-Names="Tahoma">
                </Header>
                <Cell Font-Names="Tahoma">
                </Cell>
                <GroupRow Font-Names="Tahoma">
                </GroupRow>
                <Title Font-Bold="True" Font-Names="Tahoma" Font-Size="Large"></Title>
            </Styles>
        </dx:ASPxGridViewExporter>
                <dx:ASPxGridView ID="grdData" runat="server" AutoGenerateColumns="False" 
            ClientInstanceName="grdData" Width="100%" KeyFieldName="TransactionId" 
            oncustomcallback="grdData_CustomCallback" 
            onhtmlrowprepared="grdData_HtmlRowPrepared" 
            oncustomcolumndisplaytext="grdData_CustomColumnDisplayText" 
            onsummarydisplaytext="grdData_SummaryDisplayText">
            <SettingsCustomizationWindow Enabled="True" />

            <SettingsBehavior ColumnResizeMode="Control" AllowFocusedRow="True" 
                AllowSelectByRowClick="True" />
                        <ClientSideEvents CallbackError="function(s, e) 
{
	CallbackGridError(e);
}" EndCallback="function(s, e) 
{
	CheckTimer(e);
	OnResize(s, e);

}" BeginCallback="function(s, e) 
{
	ClearTimer(e);
}"  Init="function(s, e) {
	OnResize(s, e);
}"  />
            <Settings ShowGroupPanel="True" ShowHorizontalScrollBar="True" 
                        ShowVerticalScrollBar="True" ShowTitlePanel="True" 
                        VerticalScrollableHeight="450" ShowStatusBar="Visible" ShowFooter="True"/>
<ClientSideEvents BeginCallback="function(s, e) 
{
	ClearTimer(e);
}" EndCallback="function(s, e) 
{
	CheckTimer(e);
	OnResize(s, e);

}" CallbackError="function(s, e) 
{
	CallbackGridError(e);
}" 
 RowDblClick="function(s, e) 
 {
	OnGetJobId(e);
 }" 
 RowClick="function(s, e) {
	OnFTERowSelect(e);}"
 Init="function(s, e) {
	OnResize(s, e);
}"></ClientSideEvents>

            <TotalSummary>
                <dx:ASPxSummaryItem FieldName="ActualCount" SummaryType="Sum" ShowInGroupFooterColumn="colJEActualCount" DisplayFormat="{0}"/>
                <dx:ASPxSummaryItem FieldName="ErrorCount" SummaryType="Sum"  ShowInGroupFooterColumn="colJEErrorCount" DisplayFormat="{0}"/>
                <dx:ASPxSummaryItem FieldName="ProgressCount" ShowInGroupFooterColumn="colJEProgressCount" SummaryType="Sum" DisplayFormat="{0}"/>   
                <dx:ASPxSummaryItem FieldName="CompleteCount" ShowInGroupFooterColumn="colJECompleteCount" SummaryType="Sum" DisplayFormat="{0}"/>   
                 <dx:ASPxSummaryItem FieldName="ExpectedCount" ShowInGroupFooterColumn="colJEExpectCount" SummaryType="Sum" DisplayFormat="{0}"/>                 

            </TotalSummary>

                 <GroupSummary>
                <dx:ASPxSummaryItem FieldName="ActualCount" SummaryType="Sum" DisplayFormat="Actual: {0}" />
                <dx:ASPxSummaryItem FieldName="ExpectedCount" SummaryType="Sum"  DisplayFormat="Expected: {0}"/>
                <dx:ASPxSummaryItem FieldName="ErrorCount" SummaryType="Sum"  DisplayFormat="Errors: {0}"/>
                <dx:ASPxSummaryItem FieldName="CompleteCount" SummaryType="Sum"  DisplayFormat="Completed: {0}"/>
                <dx:ASPxSummaryItem FieldName="ProgressCount" SummaryType="Sum"  DisplayFormat="In-Progress: {0}"/>
                <dx:ASPxSummaryItem FieldName="MissingCount" SummaryType="Sum"  DisplayFormat="Missing: {0}"/>
            </GroupSummary>

            <Columns>
                                 <dx:GridViewDataTextColumn VisibleIndex="0" Caption="Period" 
                    FieldName="Period" Name="colJEPeriod" ReadOnly="True" 
                    Width="200px" GroupIndex="0" SortIndex="0" SortOrder="Ascending">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn VisibleIndex="1" Caption="Agent" 
                    FieldName="Agent" Name="colJEAgentName" Width="300px" GroupIndex="1" 
                     SortIndex="1" SortOrder="Ascending">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn VisibleIndex="3" Caption="Actual" 
                    FieldName="ActualCount" Name="colJEActualCount" Width="15%">
                    <HeaderStyle HorizontalAlign="Right" />
                    <CellStyle HorizontalAlign="Right">
                    </CellStyle>
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn VisibleIndex="4" Caption="Expected" 
                    FieldName="ExpectedCount" Name="colJEExpectCount" Width="15%">
                    <HeaderStyle HorizontalAlign="Right" />
                    <CellStyle HorizontalAlign="Right">
                    </CellStyle>
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn VisibleIndex="5" Caption="Errors" 
                    FieldName="ErrorCount" Name="colJEErrorCount" Width="15%">
                    <HeaderStyle HorizontalAlign="Right" />
                    <CellStyle HorizontalAlign="Right">
                    </CellStyle>
                </dx:GridViewDataTextColumn>
                 <dx:GridViewDataTextColumn VisibleIndex="6" Caption="In-Progress" 
                    FieldName="ProgressCount" Name="colJEProgressCount" Width="15%">
                    <HeaderStyle HorizontalAlign="Right" />
                    <CellStyle HorizontalAlign="Right">
                    </CellStyle>
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn VisibleIndex="8" Caption="Complete" 
                    FieldName="CompleteCount" Name="colJECompleteCount" Width="20%">
                    <HeaderStyle HorizontalAlign="Right" />
                    <CellStyle HorizontalAlign="Right">
                    </CellStyle>
                </dx:GridViewDataTextColumn>
                 <dx:GridViewDataTextColumn Caption="Match Value" FieldName="JobName" 
                     Name="colJEJobName" ShowInCustomizationForm="True" SortIndex="2" 
                     SortOrder="Ascending" VisibleIndex="2" Width="20%">
                 </dx:GridViewDataTextColumn>
                  <dx:GridViewDataTextColumn Caption="Job Id" FieldName="JobId" Name="colJEJobId" 
                                     VisibleIndex="90" Visible="False"></dx:GridViewDataTextColumn>
                  <dx:GridViewDataTextColumn Caption="TransactionId" FieldName="TransactionId" 
                                     Name="colJETransId" VisibleIndex="91" Visible="False"></dx:GridViewDataTextColumn>


            </Columns>

<SettingsBehavior AllowFocusedRow="True" AllowSelectByRowClick="True" ColumnResizeMode="Control"></SettingsBehavior>

            <SettingsPager PageSize="12">
            </SettingsPager>

<Settings ShowTitlePanel="True" ShowGroupPanel="True" ShowFooter="True" 
                        ShowVerticalScrollBar="True" ShowHorizontalScrollBar="True" 
                        VerticalScrollableHeight="450" ShowStatusBar="Visible"></Settings>

<SettingsCustomizationWindow Enabled="True"></SettingsCustomizationWindow>

            <Templates>
                <TitlePanel>
                <div style="font-size: 13px"><b><%=hdnField.Get("Filter").ToString()%></b>
                </TitlePanel>
                <StatusBar>
                 <table width="100%" style="height: 20px">
                <tr>
                   <td  style="border: thin solid Black; background-color:forestgreen;width:40px">                   &nbsp
                   <td>Expectation(s) Met</td>
                    <td  style="border: thin solid Black; background-color:palegreen;width:40px">                   &nbsp
                   <td>Expectation(s) Partially Met</td>
                   <td  style="border: thin solid Black; background-color:firebrick;width:40px">                   &nbsp
                   <td>Expectation(s) Not Met</td>
                </tr>
                <tr>
                <td  style="border: thin solid Black; background-color:yellow;width:40px">                   &nbsp
                   <td><%=hdnField.Get("MISSING").ToString()%> Not Found Transfer(s)</td>
                <td  style="border: thin solid Black; background-color:Orange;width:40px">
                &nbsp
                </td>
                <td><%=hdnField.Get("PROGRESS").ToString()%> Transfer(s) in Progress</td>
                <td  style="border: thin solid Black; background-color:Blue;width:40px">
                &nbsp
                </td>
                <td><%=hdnField.Get("COMPLETE").ToString()%> Successful Transfer(s)</td>
                 <td style="border: thin solid Black; background-color:Red;width:40px">
                    &nbsp
                </td>
                <td><%=hdnField.Get("ERROR").ToString()%> Error(s) Found</td>
                &nbsp
                </td>
                </tr>
                </table>
                </StatusBar>
            </Templates>
        </dx:ASPxGridView>
</div>
</asp:Content>
<asp:Content ID="hidden" ContentPlaceHolderID="hiddenControlsContent" runat="server">
            <dx:aspxcallback ID="cbPanel" runat="server" ClientInstanceName="cbPanel" 
            oncallback="cbPanel_Callback">
                <ClientSideEvents BeginCallback="function(s, e) 
{
	CallbackStartTimer(e);
}" CallbackComplete="function(s, e) 
{
	CallbackComplete(e);
}" EndCallback="function(s, e) {
}" CallbackError="function(s, e)
{
	CallbackTimerError(e);
}" />
        </dx:aspxcallback>
     <dx:ASPxHiddenField ID="hdnField" runat="server" ClientInstanceName="hdnField">
     </dx:ASPxHiddenField>
                         <dx:ASPxLoadingPanel ID="cbLoading" runat="server" 
         ClientInstanceName="cbLoading" Modal="True">
     </dx:ASPxLoadingPanel>
                    <dx:ASPxPopupControl ID="popupWin" runat="server" ClientInstanceName="popupWin" 
        CloseAction="CloseButton" EnableClientSideAPI="True" 
        PopupHorizontalAlign="WindowCenter" PopupVerticalAlign="WindowCenter" Modal="True" 
                ShowPageScrollbarWhenModal="True" ShowSizeGrip="True" AllowResize="True" 
                AutoUpdatePosition="True" EnableAnimation="true" AllowDragging=true>
                        <ContentStyle>
                            <Paddings Padding="0px" />
                        </ContentStyle>
                        <ContentCollection>
<dx:PopupControlContentControl ID="PopupControlContentControl1" runat="server"></dx:PopupControlContentControl>
</ContentCollection>
                        <ClientSideEvents CloseUp="function(s, e) {
	// routine to handle the result from the popup
	PopupResultTimer(e);
}" PopUp="function(s, e) 
{
	ShowLoading();
}" Shown="function(s, e) 
{
	    ClearTimer(e);
	HideLoading();
}" />
    </dx:ASPxPopupControl>

            </asp:Content>




