﻿<%@ Page Title="" Language="C#" MasterPageFile="~/MasterPages/CompanyPage.master" AutoEventWireup="true" CodeBehind="JobExpectSummary.aspx.cs" Inherits="MQAWeb.Forms.FTE.Reporting.JobExpectSummary" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxCallback" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxLoadingPanel" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxPopupControl" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridView" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1.Export, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridView.Export" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxHiddenField" tagprefix="dx" %>
<%@ Register src="~/Forms/General/Widgets/ReportView.ascx" tagname="ReportView" tagprefix="uc2" %>
<%@ Register assembly="DevExpress.Web.ASPxEditors.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxEditors" tagprefix="dx" %>
<asp:Content ID="header" ContentPlaceHolderID="headerContent" runat="server">
<script type="text/javascript">
    function OnRefresh() 
    {
        // routine to refresh the screen
        if (!grdData.InCallback() && !cbPanel.InCallback() && !popupWin.GetVisible()) 
        {
            grdData.PerformCallback();
        }
    }
    function OnHandleDetailDrill(e) 
    {
        // routine to handle drill detail
        e.processOnServer = false;

        // event to show the detail view
        var key = grdData.GetRowKey(e.visibleIndex);
        var date1 = new Date(hdnField.Get('FilterFromDateTime'));
        var date2 = new Date(hdnField.Get('FilterToDateTime'));
        var parms = '&code=' + key + '&fromDate=' + GetDateString(date1) + '&toDate=' + GetDateString(date2) + '&filterType=' + hdnField.Get('FilterDetailType');
        var url = '<%=ResolveUrl("~/Forms/frmDialogNoHead.aspx")%>?UserControl=~/Forms/FTE/Reporting/Widgets/JobExpectDetail.ascx' + parms ;
        var title = 'FTE Job Expectation Detail';
        url += '&Title=' + title;
        url += '&SubTitle=Enclosed is the Expectation detail For Job Rule ' + key;
        showPopupWindow(popupWin, null, url, title, 900, 600, 100, 50);
    }
    function OnGridRefresh() 
    {
        // routine to refresh the grid
        if (!grdData.InCallback()) 
        {
            grdData.PerformCallback();
        }
    }
    function OnFilterSelect(urlparms) 
    {
        // routine to select the filter for the report
        var url = '<%=ResolveUrl("~/Forms/frmDialog.aspx")%>?UserControl=~/Forms/FTE/Reporting/Widgets/DateTimeJobExpectSummaryFilter.ascx';
        var title = 'Report Filter Parameters';
        url += '&Title=' + title;
        url += '&SubTitle=Please provide the Filter Details' + urlparms;
        showPopupWindow(popupWin, null, url, title, 570, 450, 100, 50);
    }
    function OnResize(s, e)
    {
        // routine to handle resize of the page
        var height = Math.max(0, document.documentElement.clientHeight);
        grdData.SetHeight(height-130);
    }
    function OnReportOptions() 
    {
        // routine to handle the report options
        OnReportOptionsGrid(hdnField);
    }

    function OnUpdateHiddenValues(parameters)
    {
        // routine to update the hidden field
        var parms = parameters.split('!');
        hdnField.Set('FilterFromDateTime', parms[1]);
        hdnField.Set('FilterToDateTime', parms[2]);
        hdnField.Set('FilterDateType', parms[3]);
        hdnField.Set("FilterDetailType", parms[4]);
        OnGridRefresh();
    }
    function OnUpdateProfile(parms) 
    {
        var sendParms = parms;
        PerformCallback('UpdateProfile', sendParms);
    }

</script>
</asp:Content>
<asp:Content ID="title" ContentPlaceHolderID="titleContent" runat="server">
    <img src="<%=ResolveClientUrl("~/images/General/time.png")%>" class="headerLogo" />&nbspJob Expectation Summary 
</asp:Content>

<asp:Content ID="top" ContentPlaceHolderID="topContent" runat="server">
    <div style="float:right"><uc2:ReportView ID="uc2ReportView" runat="server" /></div>
</asp:Content>


<asp:Content ID="page" ContentPlaceHolderID="pageContent" runat="server">
    <div id="panelContent" style="width:100%">
        <dx:ASPxGridViewExporter ID="gridViewExport" runat="server" 
            GridViewID="grdData" Landscape="True" 
            onrenderbrick="gridViewExport_RenderBrick">
            <Styles>
                <Default Font-Names="Tahoma">
                </Default>
                <Header Font-Bold="False" Font-Names="Tahoma">
                </Header>
                <Cell Font-Names="Tahoma">
                </Cell>
                <GroupRow Font-Names="Tahoma">
                </GroupRow>
                <Title Font-Bold="True" Font-Names="Tahoma" Font-Size="Large"></Title>
            </Styles>
        </dx:ASPxGridViewExporter>
                <dx:ASPxGridView ID="grdData" runat="server" AutoGenerateColumns="False" 
            ClientInstanceName="grdData" Width="100%" KeyFieldName="Code" 
            oncustomcallback="grdData_CustomCallback" 
            onhtmlrowprepared="grdData_HtmlRowPrepared" 
            oncustomcolumndisplaytext="grdData_CustomColumnDisplayText">
            <SettingsCustomizationWindow Enabled="True" />

            <SettingsBehavior ColumnResizeMode="Control" AllowFocusedRow="True" 
                AllowSelectByRowClick="True" />
                        <ClientSideEvents CallbackError="function(s, e) 
{
	CallbackGridError(e);
}" EndCallback="function(s, e) 
{
	CheckTimer(e);
	OnResize(s, e);

}" BeginCallback="function(s, e) 
{
	ClearTimer(e);
}"  Init="function(s, e) {
	OnResize(s, e);
}" RowDblClick="function(s, e) {
	OnHandleDetailDrill(e);
}"  />
            <Settings ShowGroupPanel="True" ShowHorizontalScrollBar="True" 
                        ShowVerticalScrollBar="True" ShowTitlePanel="True" 
                        VerticalScrollableHeight="450" ShowStatusBar="Visible" ShowFooter="True"/>
<ClientSideEvents BeginCallback="function(s, e) 
{
	ClearTimer(e);
}" EndCallback="function(s, e) 
{
	CheckTimer(e);
	OnResize(s, e);

}" CallbackError="function(s, e) 
{
	CallbackGridError(e);
}" 
 Init="function(s, e) {
	OnResize(s, e);
}"></ClientSideEvents>

            <TotalSummary>
                <dx:ASPxSummaryItem FieldName="ExpectedCount" SummaryType="Sum" ShowInGroupFooterColumn="colJEExpectCount" DisplayFormat="{0}"/>
                <dx:ASPxSummaryItem FieldName="CompletedCount" ShowInGroupFooterColumn="colJECompleteCount" SummaryType="Sum" DisplayFormat="{0}"/>  
                <dx:ASPxSummaryItem FieldName="MissingCount" ShowInGroupFooterColumn="colJEMissingCount" SummaryType="Sum" DisplayFormat="{0}"/>
                <dx:ASPxSummaryItem FieldName="ProgressCount" ShowInGroupFooterColumn="colJEProgressCount" SummaryType="Sum" DisplayFormat="{0}"/>   
                <dx:ASPxSummaryItem FieldName="ErrorCount" SummaryType="Sum"  ShowInGroupFooterColumn="colJEErrorCount" DisplayFormat="{0}"/>
                <dx:ASPxSummaryItem FieldName="ActualCount" SummaryType="Sum"  ShowInGroupFooterColumn="colJEActualCount" DisplayFormat="{0}"/>
            </TotalSummary>
            <Columns>
                <dx:GridViewDataTextColumn VisibleIndex="1" Caption="Description" 
                    FieldName="Description" Name="colJEDesc" ReadOnly="True" 
                    Width="200px" SortIndex="0" SortOrder="Ascending">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn VisibleIndex="0" Caption="Code" 
                    FieldName="Code" Name="colJECode" Width="100px">
                </dx:GridViewDataTextColumn>
                 <dx:GridViewDataTextColumn VisibleIndex="2" Caption="Interval" 
                    FieldName="Interval" Name="colJEInterval" Width="150px">
                </dx:GridViewDataTextColumn>

                <dx:GridViewDataTextColumn VisibleIndex="4" Caption="Completed" 
                    FieldName="CompleteCount" Name="colJECompleteCount" Width="12%">
                    <HeaderStyle HorizontalAlign="Right" />
                    <CellStyle HorizontalAlign="Right">
                    </CellStyle>
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn VisibleIndex="3" Caption="Expected" 
                    FieldName="ExpectedCount" Name="colJEExpectCount" Width="12%">
                    <HeaderStyle HorizontalAlign="Right" />
                    <CellStyle HorizontalAlign="Right">
                    </CellStyle>
                </dx:GridViewDataTextColumn>
                 <dx:GridViewDataTextColumn VisibleIndex="9" Caption="Actual" 
                    FieldName="ActualCount" Name="colJEActualCount" Width="12%">
                    <HeaderStyle HorizontalAlign="Right" />
                    <CellStyle HorizontalAlign="Right">
                    </CellStyle>
                </dx:GridViewDataTextColumn>

                 <dx:GridViewDataTextColumn VisibleIndex="5" Caption="Missing" 
                    FieldName="MissingCount" Name="colJEMissingCount" Width="12%">
                    <HeaderStyle HorizontalAlign="Right" />
                    <CellStyle HorizontalAlign="Right">
                    </CellStyle>
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn VisibleIndex="7" Caption="Errors" 
                    FieldName="ErrorCount" Name="colJEErrorCount" Width="12%">
                    <HeaderStyle HorizontalAlign="Right" />
                    <CellStyle HorizontalAlign="Right">
                    </CellStyle>
                </dx:GridViewDataTextColumn>
                 <dx:GridViewDataTextColumn VisibleIndex="6" Caption="In-Progress" 
                    FieldName="ProgressCount" Name="colJEProgressCount" Width="12%">
                    <HeaderStyle HorizontalAlign="Right" />
                    <CellStyle HorizontalAlign="Right">
                    </CellStyle>
                </dx:GridViewDataTextColumn>
            </Columns>

<SettingsBehavior AllowFocusedRow="True" AllowSelectByRowClick="True" ColumnResizeMode="Control"></SettingsBehavior>

            <SettingsPager PageSize="12">
            </SettingsPager>

<Settings ShowTitlePanel="True" ShowGroupPanel="False" ShowFooter="True" ShowVerticalScrollBar="True" ShowHorizontalScrollBar="True" VerticalScrollableHeight="450" ShowStatusBar="Visible"></Settings>
<SettingsCustomizationWindow Enabled="True"></SettingsCustomizationWindow>

            <Templates>
                <TitlePanel>
                <div style="font-size: 13px"><b><%=hdnField.Get("Filter").ToString()%></b>
                </TitlePanel>
                <StatusBar>
                 <table width="100%" style="height: 20px">
                <tr>
                   <td  style="border: thin solid Black; background-color:forestgreen;width:40px">                   &nbsp
                   <td>Expectation(s) Met</td>
                    <td  style="border: thin solid Black; background-color:palegreen;width:40px">                   &nbsp
                   <td>Expectation(s) Partially Met</td>
                   <td  style="border: thin solid Black; background-color:firebrick;width:40px">                   &nbsp
                   <td>Expectation(s) Not Met</td>
                   <td  style="border: thin solid Black; background-color:silver;width:40px">                   &nbsp
                   <td><%=hdnField.Get("EXPECTED").ToString()%> Expected Transfers</td>

                </tr>
                <tr>
                <td  style="border: thin solid Black; background-color:yellow;width:40px">                   &nbsp
                   <td><%=hdnField.Get("MISSING").ToString()%> Not Found Transfer(s)</td>
                <td  style="border: thin solid Black; background-color:Orange;width:40px">
                &nbsp
                </td>
                <td><%=hdnField.Get("PROGRESS").ToString()%> Transfer(s) in Progress</td>
                <td  style="border: thin solid Black; background-color:Blue;width:40px">
                &nbsp
                </td>
                <td><%=hdnField.Get("COMPLETE").ToString()%> Successful Transfer(s)</td>
                 <td style="border: thin solid Black; background-color:Red;width:40px">
                    &nbsp
                </td>
                <td><%=hdnField.Get("ERROR").ToString()%> Error(s) Found</td>
                &nbsp
                </td>
                </tr>
                <tr>
                    <td colspan="5">
                     <b>Double Click the Required Line to View Detail Information</b>
                    </td>
                </tr>
                </table>
                </StatusBar>
            </Templates>
        </dx:ASPxGridView>
</div>
</asp:Content>


<asp:Content ID="hidden" ContentPlaceHolderID="hiddenControlsContent" runat="server">
            <dx:aspxcallback ID="cbPanel" runat="server" ClientInstanceName="cbPanel" 
            oncallback="cbPanel_Callback">
                <ClientSideEvents BeginCallback="function(s, e) 
{
	CallbackStartTimer(e);
}" CallbackComplete="function(s, e) 
{
	CallbackComplete(e);
}" EndCallback="function(s, e) {
}" CallbackError="function(s, e)
{
	CallbackTimerError(e);
}" />
        </dx:aspxcallback>
     <dx:ASPxHiddenField ID="hdnField" runat="server" ClientInstanceName="hdnField">
     </dx:ASPxHiddenField>
                         <dx:ASPxLoadingPanel ID="cbLoading" runat="server" 
         ClientInstanceName="cbLoading" Modal="True">
     </dx:ASPxLoadingPanel>
                    <dx:ASPxPopupControl ID="popupWin" runat="server" ClientInstanceName="popupWin" 
        CloseAction="CloseButton" EnableClientSideAPI="True" 
        PopupHorizontalAlign="WindowCenter" PopupVerticalAlign="WindowCenter" Modal="True" 
                ShowPageScrollbarWhenModal="True" ShowSizeGrip="True" AllowResize="True" 
                AutoUpdatePosition="True" EnableAnimation="true" AllowDragging=true>
                        <ContentStyle>
                            <Paddings Padding="0px" />
                        </ContentStyle>
                        <ContentCollection>
<dx:PopupControlContentControl runat="server"></dx:PopupControlContentControl>
</ContentCollection>
                        <ClientSideEvents CloseUp="function(s, e) {
	// routine to handle the result from the popup
	PopupResultTimer(e);
}" PopUp="function(s, e) 
{
	ShowLoading();
}" Shown="function(s, e) 
{
	    ClearTimer(e);
	HideLoading();
}" />
    </dx:ASPxPopupControl>

            </asp:Content>
