﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ExitDetail.ascx.cs" Inherits="MQAWeb.Forms.FTE.Reporting.Widgets.ExitDetail" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxCallback" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridView" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxEditors.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxEditors" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxCallback" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridView" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxEditors.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxEditors" tagprefix="dx" %>
        <%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1.Export, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridView.Export" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxMenu" tagprefix="dx" %>

        <dx:ASPxGridViewExporter ID="grdExitExport" runat="server" 
    GridViewID="grdExitData" Landscape="True" 
    onrenderbrick="grdExitExport_RenderBrick">
</dx:ASPxGridViewExporter>

        <dx:ASPxGridView ID="grdExitData" runat="server" AutoGenerateColumns="False" 
            ClientInstanceName="grdExitData" Width="100%" KeyFieldName="ExitType"
    EnableRowsCache="False" onhtmlrowprepared="grdExitData_HtmlRowPrepared">
                <Templates>
                    <PreviewRow>
                        <div style="width:100%">
                            Output:
                            <dx:ASPxMemo ID="memExitStandard" runat="server" Height="71px" Width="100%" 
                                Text='<%#Eval("StandardOutput")%>' ReadOnly="true" Font-Names="Consolas"></dx:ASPxMemo>
                            Error Output:
                            <dx:ASPxMemo ID="memExitError" runat="server" Height="71px" Width="100%" 
                                Text='<%#Eval("StandardError")%>' ReadOnly="true" Font-Names="Consolas"></dx:ASPxMemo>
                        </div>
                    </PreviewRow>
            </Templates>
            <SettingsBehavior ColumnResizeMode="Control"/>
                <SettingsCookies Enabled="True" StorePaging="False" />
            <Columns>
                 <dx:GridViewDataTextColumn Caption="Name" FieldName="Name" 
                    Name="colExitName" ReadOnly="True" VisibleIndex="0" Width="50%">
                </dx:GridViewDataTextColumn>
                 <dx:GridViewDataTextColumn Caption="Type" FieldName="ExitType" 
                    Name="colExitType" ReadOnly="True" VisibleIndex="99" Visible="false" 
                     SortIndex="1" SortOrder="Ascending">
                </dx:GridViewDataTextColumn>
                 <dx:GridViewDataTextColumn Caption="Type" FieldName="ExitTypeDesc" 
                     Name="colExitTypeDesc" ReadOnly="True" VisibleIndex="1" Width="15%" 
                     GroupIndex="0" SortIndex="0" SortOrder="Ascending">
                 </dx:GridViewDataTextColumn>
                 <dx:GridViewDataTextColumn Caption="Result" FieldName="Result" 
                     Name="colExitResult" ReadOnly="True" VisibleIndex="2" Width="50%">
                 </dx:GridViewDataTextColumn>
            </Columns>
            <Settings ShowFilterBar="Auto" 
                ShowHorizontalScrollBar="True" ShowVerticalScrollBar="True" 
                VerticalScrollableHeight="350" ShowPreview="True" 
                    ShowGroupPanel="True"/>
        </dx:ASPxGridView>        