﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="TransactionDetail.ascx.cs" Inherits="MQAWeb.Forms.FTE.Reporting.Widgets.TransactionDetail" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxCallback" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridView" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxEditors.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxEditors" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxGridView.v11.1.Export, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxGridView.Export" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxMenu" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxHiddenField" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxCallbackPanel" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxPanel" tagprefix="dx" %>
<script type="text/javascript">
    var transx = -1;
    var transy = -1;
    var activeTrans;
    function OnTransContextGrid(s, e) 
    {
        // routine to handle the right click on the grid
        if (e.objectType == "row") 
        {
            transx = ASPxClientUtils.GetEventX(e.htmlEvent);
            transy = ASPxClientUtils.GetEventY(e.htmlEvent);
            OnGetTransContextValues(e.index);
        }
    }

    function OnGetTransContextValues(rowindex) 
    {
        // routine to get the context values for the selected row
        activeTrans = rowindex;
        cbTransPanelMenu.PerformCallback(rowindex);
    }

    function OnTransactionSelect(e) 
    {
        //  routine to invoke a change in the parent view when the transaction selection changes
        e.processOnServer = false;
        var key = grdTransData.GetRowKey(grdTransData.GetFocusedRowIndex());
        ShowTransWindow(key);
    }

    function ShowTransWindow(key) 
    {
        // routine to show the transaction View
        ShowFTETransView(key);
    }
    function OnTransMenuItem(e) 
    {
        // routine to handle menu item invoke on the server side
        var name = e.item.name;
        e.processOnServer = false;
        if (name == 'mnuTransResubmit')
            OnTransResubmit()
        if (name == 'mnuTransCancel')
            OnTransCancel();
        if (name == 'mnuTransRepair')
            OnTransRepair();
        if (name == 'mnuTransExportXML')
            OnTransXML();
        if (name == 'mnuTransCompleteSuccess')
            OnTransCompleteSuccess();
        if (name == 'mnuTransCompleteSuccessWithin')
            OnTransCompleteSuccessWithin();
        if (name == 'mnuTransCompleteSuccessOutside')
            OnTransCompleteSuccessOutside();
        if (name == 'mnuTransCompleteError')
            OnTransCompleteError();
    }

    function OnTransResubmit() 
    {
        // routine to Resubmit the Request
        var agree = confirm('Are you sure you wish to Re-submit this Transaction for Processing ?');
        if (agree)
            PerformCallback('TransResubmit', activeTrans);
    }

    function OnTransCancel() 
    {
        // routine to Cancel the Request
        var agree = confirm('Are you sure you wish to Request Cancellation of this Transaction ?');
        if (agree)
            PerformCallback('TransCancel', activeTrans);
    }

    function OnTransRepair() 
    {
        // routine to Repair the Request
        PerformCallback('TransRepair', activeTrans);
    }

    function OnTransXML() 
    {
        // routine to the Transaction as XML
        PerformCallback('TransXML', activeTrans);
    }

    function OnTransCompleteSuccess()
    {
        // routine to Mark the Transaction as Completed Successfully
         var agree = confirm('Are you sure you wish to Force Complete this Transfer ?');
        if (agree)
            PerformCallback('TransMarkAs', activeTrans + '!3');
    }
    
    function OnTransCompleteSuccessWithin()
    {
        // routine to Mark the Transaction as Completed Successfully within SLA
         var agree = confirm('Are you sure you wish to Force Complete this Transfer within SLA ?');
        if (agree)
            PerformCallback('TransMarkAs', activeTrans + '!5');
    }
    
    function OnTransCompleteSuccessOutside()
    {
        // routine to Mark the Transaction as Completed Successfully outside SLA
         var agree = confirm('Are you sure you wish to Force Complete this Transfer outside of  SLA ?');
        if (agree)
            PerformCallback('TransMarkAs', activeTrans + '!6');
    }
    
    function OnTransCompleteError()
    {
        // routine to Mark the Transaction as Completed Un-Successfully
        PerformCallback('TransError', activeTrans);
    }
</script>

<dx:ASPxGridViewExporter ID="grdTransExport" runat="server" 
    GridViewID="grdTransData" Landscape="True" 
    onrenderbrick="grdTransExport_RenderBrick">
</dx:ASPxGridViewExporter>
        <dx:ASPxCallbackPanel ID="cbTransPanelMenu" runat="server" 
    ClientInstanceName="cbTransPanelMenu" Width="80px" 
    oncallback="cbTransPanelMenu_Callback" 
    LoadingPanelText="Menu Loading&amp;hellip;">
            <PanelCollection>
<dx:PanelContent runat="server">
    <dx:ASPxPopupMenu ID="transContextMenu" runat="server" AutoPostBack="True" 
        ClientInstanceName="transContextMenu" PopupHorizontalAlign="Center" 
        PopupVerticalAlign="Above">
        <ClientSideEvents ItemClick="function(s, e) 
            {
            OnTransMenuItem(e);
}" />
        <Items>
            <dx:MenuItem Name="mnuTransRepair" Text="Repair..." 
                ToolTip="click here to Repair the Transaction">
            </dx:MenuItem>
            <dx:MenuItem Name="mnuTransResubmit" Text="Re-Submit..." 
                ToolTip="click here to Re-Submit the Transaction for Processing">
            </dx:MenuItem>
            <dx:MenuItem Name="mnuTransCancel" Text="Cancel.." 
                ToolTip="click here to Request Cancellation of the Selected Transaction">
            </dx:MenuItem>
            <dx:MenuItem Name="mnuTransExport" Text="Export">
                <Items>
                    <dx:MenuItem Name="mnuTransExportXML" Text="To XML" 
                        ToolTip="click here to Export the Transaction Information to XML">
                    </dx:MenuItem>
                </Items>
            </dx:MenuItem>
            <dx:MenuItem Name="mnuTransMarkAs" Text="Mark As">
                <Items>
                    <dx:MenuItem Name="mnuTransCompleteSuccess" Text="Completed Succesfully">
                    </dx:MenuItem>
                    <dx:MenuItem Name="mnuTransCompleteSuccessWithin" 
                        Text="Completed Successfully Within SLA">
                    </dx:MenuItem>
                    <dx:MenuItem Name="mnuTransCompleteSuccessOutside" 
                        Text="Completed Successfully Outside SLA">
                    </dx:MenuItem>
                    <dx:MenuItem Name="mnuTransCompleteError" Text="Completed Unsuccesfully" 
                        ToolTip="click here to Request that the Transaction be Marked as Failed">
                    </dx:MenuItem>
                </Items>
            </dx:MenuItem>
        </Items>
    </dx:ASPxPopupMenu>
                </dx:PanelContent>
</PanelCollection>
            <clientsideevents endcallback="function(s, e) 
{
if (cbTransPanelMenu.cpAction != null &amp;&amp; cbTransPanelMenu.cpAction != '')
	transContextMenu.ShowAtPos(transx, transy);

}" CallbackError="function(s, e) 
{
	CallbackError(e);
}" />
</dx:ASPxCallbackPanel>
        <dx:ASPxHiddenField ID="hdnData" runat="server" 
    ClientInstanceName="hdnData">
</dx:ASPxHiddenField>
        <dx:ASPxGridView ID="grdTransData" runat="server" AutoGenerateColumns="False" 
            ClientInstanceName="grdTransData" Width="100%" KeyFieldName="TransactionId" 
            oncustomcolumndisplaytext="grdTransData_CustomColumnDisplayText" 
    onhtmlrowprepared="grdTransData_HtmlRowPrepared" 
    onhtmldatacellprepared="grdTransData_HtmlDataCellPrepared" 
    EnableRowsCache="False">
            <Templates>
                <FooterRow>
                    <dx:ASPxButton ID="btnTransExport" runat="server" 
                        ClientInstanceName="btnTransExport" EnableClientSideAPI="True" 
                        onclick="btnTransExport_Click" Text="Export to Spreadsheet" 
                        ToolTip="click here to Export the Grid Data to Spreadsheet" Wrap="False">
                        <ClientSideEvents Click="function(s, e) {
}" />
                    </dx:ASPxButton>
                </FooterRow>
            </Templates>
            <SettingsBehavior ColumnResizeMode="Control" AllowSelectByRowClick="True" 
                AllowSelectSingleRowOnly="True" AllowFocusedRow="True" />
            <SettingsPager PageSize="5">
            </SettingsPager>
            <SettingsCookies Enabled="True" StorePaging="False" 
                StoreGroupingAndSorting="False"/>
            <ClientSideEvents CallbackError="function(s, e) 
{

}" EndCallback="function(s, e) 
{
}" BeginCallback="function(s, e) 
{
}" ContextMenu="function(s, e) 
{
	OnTransContextGrid(s, e);
}"  RowDblClick="function(s, e) {
	OnTransactionSelect(e);
}" Init="function(s, e) 
{
		if (grdTransData.cpAction != null &amp;&amp; grdTransData.cpAction != '')
			handleAjaxResponse(grdTransData.cpAction);
}" />
            <Columns>
                 <dx:GridViewDataTextColumn Caption="Transaction Id" FieldName="TransactionId" Name="colTransTransactionId" 
                    ReadOnly="True" VisibleIndex="0" Width="350px">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataDateColumn Caption="Date Started" FieldName="TransDate" 
                    Name="colTransStartDate" ReadOnly="True" VisibleIndex="1" Width="80px">
                </dx:GridViewDataDateColumn>
                <dx:GridViewDataDateColumn Caption="Date Completed" FieldName="CompleteDate" 
                    Name="colTransCompleteDate" ReadOnly="True" VisibleIndex="2" Width="80px">
                </dx:GridViewDataDateColumn>
                <dx:GridViewDataTextColumn VisibleIndex="4" Caption="Destination" 
                    FieldName="DestAgent" Name="colTransDestAgent" ReadOnly="True" Width="80px">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn VisibleIndex="3" Caption="Source" 
                    FieldName="SourceAgent" Name="colTransSourceAgent" ReadOnly="True" Width="80px">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn Caption="Status" 
                    FieldName="Status" Name="colTransStatusInt" ReadOnly="True" 
                    VisibleIndex="10" Visible="False">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataDateColumn Caption="Last Update" FieldName="LastUpdate" 
                    Name="colTransLastUpdate" ReadOnly="True" VisibleIndex="5" Width="80px">
                </dx:GridViewDataDateColumn>
                <dx:GridViewDataProgressBarColumn Caption="Progress" FieldName="ProgressValue" 
                    Name="colTransProgress" ReadOnly="True" VisibleIndex="6">
                    <PropertiesProgressBar ClientInstanceName="pbProgress" Height="" Width="">
                    </PropertiesProgressBar>
                </dx:GridViewDataProgressBarColumn>
                 <dx:GridViewDataSpinEditColumn Caption="File Count" FieldName="FileCount" 
                    Name="colTransFileCount" ReadOnly="True" VisibleIndex="7">
                    <PropertiesSpinEdit DisplayFormatString="g" NumberType="Integer">
                    </PropertiesSpinEdit>
                </dx:GridViewDataSpinEditColumn>
                <dx:GridViewDataSpinEditColumn Caption="Byte Count" FieldName="ByteCount" 
                    Name="colTransByteCount" ReadOnly="True" VisibleIndex="8">
                    <PropertiesSpinEdit DisplayFormatString="g" NumberType="Integer">
                    </PropertiesSpinEdit>
                </dx:GridViewDataSpinEditColumn>
                 <dx:GridViewDataSpinEditColumn Caption="Total Bytes" FieldName="TotalBytes" 
                    Name="colTransTotalBytes" ReadOnly="True" VisibleIndex="9">
                    <PropertiesSpinEdit DisplayFormatString="g" NumberType="Integer">
                    </PropertiesSpinEdit>
                </dx:GridViewDataSpinEditColumn>
                 <dx:GridViewDataTextColumn Caption="Transfer Time" FieldName="TimeDesc" 
                    ReadOnly="True" VisibleIndex="10" Name="colTransTime" Width="80px">
                </dx:GridViewDataTextColumn>
                 <dx:GridViewDataTextColumn Caption="SLA" FieldName="SLAClass" 
                    ReadOnly="True" VisibleIndex="11" Name="colTransSLA" Width="80px">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn VisibleIndex="12" 
                    FieldName="TransferRate" Name="colTransTransferRate" ReadOnly="True" 
                    Width="80px" Caption="Transfer Rate">
                </dx:GridViewDataTextColumn>
                  <dx:GridViewDataTextColumn Caption="Status" FieldName="StatusDesc" 
                    Name="colTransStatusDesc" ReadOnly="True" VisibleIndex="13" Width="80px">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn Caption="MFT Status" FieldName="MQStatusDesc" 
                    Name="colTransMQStatus" ReadOnly="True" VisibleIndex="14" Width="80px">
                </dx:GridViewDataTextColumn>
            </Columns>           
            <Settings ShowGroupPanel="True" ShowFilterBar="Auto" 
                ShowHorizontalScrollBar="True" ShowVerticalScrollBar="True" 
                ShowFooter="True" VerticalScrollableHeight="155" />
        </dx:ASPxGridView>        