﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="SysProcesses.ascx.cs" Inherits="MQAWeb.Forms.General.Dashboards.SysProcesses" %>
<%@ Register assembly="Ext.Net" namespace="Ext.Net" tagprefix="ext" %>
<script type="text/javascript">
    var bytesChange = function (value) 
    {
        return String.format(Ext.util.Format.fileSize(value));
    };

</script>
 
 <asp:UpdatePanel ID="pnlSysProcesses" runat="server" UpdateMode="Conditional">
     <ContentTemplate>
                 <ext:GridPanel ID="GridPanel1" runat="server"
                     Border="false" Header="false" StripeRows="true" Layout="Fit" AutoWidth="True" Height="500" EnableTheming="True">
                     <store>
                         <ext:Store ID="Store1" runat="server">
                             <reader>
                                 <ext:JsonReader IDProperty="ID">
                                     <Fields>
                                         <ext:RecordField Name="Pid" Type="Int" SortType="AsInt"/>
                                         <ext:RecordField Name="Name" Type="String" SortType="AsUCString"/>
                                         <ext:RecordField Name="Description" SortType="AsUCString"/>
                                         <ext:RecordField Name="Args" Type="String" SortType="AsUCString"/>
                                         <ext:RecordField Name="Memory" Type="Float" SortType="AsFloat"/>
                                         <ext:RecordField Name="CPU" Type="Int" SortType="AsInt"/>
                                     </Fields>
                                 </ext:JsonReader>
                             </reader>
                         </ext:Store>
                     </store>
                    <LoadMask ShowMask="false" />
                     <columnmodel runat="server">
                         <Columns>
                             <ext:Column ColumnID="colSysProcessPid" DataIndex="Pid" Header="Pid" Sortable="true" Width="25" Align="Right" />
                             <ext:Column ColumnID="colSysProcessName" DataIndex="Name" Header="Process Name" Sortable="true" Wrap="False"/>
                             <ext:Column ColumnID="colSysProcessDesc" DataIndex="Description" Header="Description" Sortable="False" Wrap="True"/>
                             <ext:Column ColumnID="colSysProcessArgs" DataIndex="Args" Header="Arguments" Sortable="true" Wrap="True" Tooltip="Command Line Arguments"/>
                             <ext:Column ColumnID="colSysProcessMem" DataIndex="Memory" Header="Memory" Sortable="true" Width="50" Tooltip="Memory Usage" Wrap="True">
                             <Renderer Fn="bytesChange" />
                             </ext:Column>
                         </Columns>
                     </columnmodel>
                     <Plugins>
                    <ext:GridFilters runat="server" ID="GridFilters1" Local="true">
                        <Filters>
                            <ext:NumericFilter DataIndex="Pid" />
                            <ext:StringFilter DataIndex="Name" />
                            <ext:StringFilter DataIndex="Args" />
                        </Filters>
                    </ext:GridFilters>
                </Plugins>
                <View><ext:GridView ID="gvGPClientDefaultSkills" runat="server" ForceFit="true" ScrollOffset="1" />                   
                </View>                                                                            

                 </ext:GridPanel>
     </ContentTemplate>
</asp:UpdatePanel>
        