﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="DateTimeDeptFTEStatusFilter.ascx.cs" Inherits="MQAWeb.Forms.General.Filters.DateTimeDeptFTEStatusFilter" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxCallback" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.ASPxEditors.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxEditors" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxLoadingPanel" tagprefix="dx" %>
    <%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxCallbackPanel" tagprefix="dx" %>
<%@ Register assembly="DevExpress.Web.v11.1, Version=11.1.7.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web.ASPxPanel" tagprefix="dx" %>
    <script type="text/javascript">
        function OnSaveSettings() 
        {
            // routine to validate the screen
            cbPanel.PerformCallback('UpdateProfile!' + cmbDept.GetValue() + '!' + cmbStatus.GetValue() + '!' + cmbDateSelection.GetValue());
        }  

        function OnShowMetaFilter() 
        {
            // routine to show the menu filter
            var url = '<%=ResolveUrl("~/Forms/frmDialogNoHead.aspx")%>?UserControl=~/Forms/FTE/Reporting/Widgets/MetaDataFilter.ascx';
            var title = 'Meta-Data Filter Parameters';
            url += '&Title=' + title;
            url += '&SubTitle=Please provide the Meta-Data Filter Details';
            showPopupWindow(popupWin, null, url, title, 640, 429, 100, 50);
        }
        function OnMetaButtonClick(e) 
        {
            // routine to Handle the Button Click on the Meta-Filter
            e.processOnServer = false;
            var agree = confirm('Are you sure you wish to Clear All-Meta-Filters ?');
            if (agree)
                cbMetaFilterPanel.PerformCallback('ClearMeta');
        }
</script>
    <table width="100%" cellpadding="0" cellspacing="2" border=0>
             <tr>
                 <td nowrap="nowrap" style="width: 15%">Date Selection:</td>

                 <td>     <dx:ASPxComboBox ID="cmbDateSelection" runat="server" Width="100%" 
            AutoResizeWithContainer="True" ClientInstanceName="cmbDateSelection" TextField="Description" 
            ValueField="Value" ValueType="System.String" PopupVerticalAlign="Above">
                     <ClientSideEvents ValueChanged="function(s, e) 
{
	cbDateSelectPanel.PerformCallback(cmbDateSelection.GetValue());
}" />
            <Columns>
                <dx:ListBoxColumn Caption="Selection" FieldName="Description" Name="colDescription" />
            </Columns>
        </dx:ASPxComboBox>
    </td>
</tr>
 <tr>
    <td nowrap="nowrap">From Date:</td>

     <td>
        <dx:ASPxCallbackPanel ID="cbDateSelectPanel" runat="server" Width="100%" 
             ClientInstanceName="cbDateSelectPanel" oncallback="cbDateSelectPanel_Callback" 
             ShowLoadingPanel="False">
            <PanelCollection>
<dx:PanelContent ID="PanelContent2" runat="server" SupportsDisabledAttribute="True">
        <table width="100%" cellpadding="0" cellspacing="2" border=0>
<tr>
   <td style="width:25%">
    <dx:ASPxDateEdit ID="dteFromDate" runat="server" AutoResizeWithContainer="True" 
        ClientInstanceName="dteFromDate" EnableClientSideAPI="True" Width="100%">
    </dx:ASPxDateEdit>
   </td>
    <td style="width:25%">
        <dx:ASPxTimeEdit ID="tmeFromDate" runat="server" Width="100%">
        </dx:ASPxTimeEdit>
    </td>
    <td nowrap="nowrap">To Date:</td>

    <td style="width:25%">
        <dx:ASPxDateEdit ID="dteToDate" runat="server" Width="100%" 
            AutoResizeWithContainer="True" ClientInstanceName="dteFromDate" 
            EnableClientSideAPI="True">
        </dx:ASPxDateEdit>
         </td>
        
    <td style="width:25%">
        <dx:ASPxTimeEdit ID="tmeToDate" runat="server" Width="100%">
        </dx:ASPxTimeEdit>
     </td>        
        
 </tr>
 </table>
 </dx:PanelContent>
</PanelCollection>
        </dx:ASPxCallbackPanel>
</td>
</tr>
    <tr>
    <td>Status:</td>
    <td>
        <dx:ASPxComboBox ID="cmbStatus" runat="server" Width="100%" 
            AutoResizeWithContainer="True" ClientInstanceName="cmbStatus" TextField="Description" 
            ValueField="Code" ValueType="System.String" PopupVerticalAlign="Above">
            <Columns>
                <dx:ListBoxColumn Caption="Status" FieldName="Description" Name="colDescription" />
            </Columns>
        </dx:ASPxComboBox>
    </td>    
  </tr>

<tr>
    <td>Department:
    </td>
    <td >
        <dx:ASPxComboBox ID="cmbDept" runat="server" Width="100%" 
            AutoResizeWithContainer="True" ClientInstanceName="cmbDept" TextField="Name" 
            ValueField="MstDepartmentId" ValueType="System.String">
            <Columns>
                <dx:ListBoxColumn Caption="Name" FieldName="Name" Name="colDeptName" />
            </Columns>
        </dx:ASPxComboBox>
    </td>    
  </tr>
  <tr>
  <td nowrap="nowrap">Meta Data Filter:</td>
    <td>
      <dx:ASPxCallbackPanel ID="cbMetaFilterPanel" runat="server" 
          ClientInstanceName="cbMetaFilterPanel" ShowLoadingPanel="False" 
          Width="100%" oncallback="cbMetaFilterPanel_Callback">
          <PanelCollection>
<dx:PanelContent ID="PanelContent1" runat="server">
    <dx:ASPxDropDownEdit ID="cmbMetaFilter" runat="server" 
        AutoResizeWithContainer="True" ClientInstanceName="cmbMetaFilter" 
        Width="100%">
        <ClientSideEvents ButtonClick="function(s, e) {
	OnMetaButtonClick(e);
}" DropDown="function(s, e) {
	OnShowMetaFilter();
}" />
        <Buttons>
            <dx:EditButton Text="Clear" ToolTip="click here to Clear the Active Filter">
            </dx:EditButton>
        </Buttons>
    </dx:ASPxDropDownEdit>
              </dx:PanelContent>
</PanelCollection>
      </dx:ASPxCallbackPanel>
  </td>
  </tr>
  <tr>
  <td style="height:200px" colspan="6">&nbsp</td>
  </tr>
  
  </table>